import type { App } from 'vue';
import type { PickerProps, PickerDateProps, RangePickerProps as BaseRangePickerProps } from './generatePicker';
import type { ExtraDatePickerProps, ExtraRangePickerProps } from './generatePicker/props';
export declare type DatePickerProps = PickerProps<Date> & ExtraDatePickerProps<Date>;
export declare type MonthPickerProps = Omit<PickerDateProps<Date>, 'picker'> & ExtraDatePickerProps<Date>;
export declare type WeekPickerProps = Omit<PickerDateProps<Date>, 'picker'> & ExtraDatePickerProps<Date>;
export declare type RangePickerProps = BaseRangePickerProps<Date> & ExtraRangePickerProps<Date>;
declare const WeekPicker: import("vue").DefineComponent<{
    defaultPickerValue: {
        type: import("vue").PropType<string | Date>;
    };
    defaultValue: {
        type: import("vue").PropType<string | Date>;
    };
    value: {
        type: import("vue").PropType<string | Date>;
    };
    disabledTime: {
        type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Date>>;
    };
    format: {
        type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Date> | (string | import("../vc-picker/interface").CustomFormat<Date>)[]>;
    };
    renderExtraFooter: {
        type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
    };
    showNow: {
        type: BooleanConstructor;
        default: any;
    };
    monthCellRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>>;
    };
    monthCellContentRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>>;
    };
    id: StringConstructor;
    dropdownClassName: StringConstructor;
    dropdownAlign: {
        type: import("vue").PropType<import("../vc-align/interface").AlignType>;
    };
    popupStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
    };
    transitionName: StringConstructor;
    placeholder: StringConstructor;
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    tabindex: NumberConstructor;
    open: {
        type: BooleanConstructor;
        default: any;
    };
    defaultOpen: {
        type: BooleanConstructor;
        default: any;
    };
    inputReadOnly: {
        type: BooleanConstructor;
        default: any;
    };
    getPopupContainer: {
        type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
    };
    panelRender: {
        type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
    };
    onChange: {
        type: import("vue").PropType<(value: string | Date, dateString: string) => void>;
    };
    'onUpdate:value': {
        type: import("vue").PropType<(value: string | Date) => void>;
    };
    onOk: {
        type: import("vue").PropType<(value: string | Date) => void>;
    };
    onOpenChange: {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    'onUpdate:open': {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    onFocus: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onBlur: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onMousedown: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseup: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseenter: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseleave: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onClick: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onContextmenu: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onKeydown: {
        type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
    };
    role: StringConstructor;
    name: StringConstructor;
    autocomplete: StringConstructor;
    direction: {
        type: import("vue").PropType<"ltr" | "rtl">;
    };
    showToday: {
        type: BooleanConstructor;
        default: any;
    };
    showTime: {
        type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Date>>;
        default: any;
    };
    locale: {
        type: import("vue").PropType<import("./generatePicker").PickerLocale>;
    };
    size: {
        type: import("vue").PropType<import("../config-provider").SizeType>;
    };
    bordered: {
        type: BooleanConstructor;
        default: any;
    };
    dateRender: {
        type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Date>>;
    };
    disabledDate: {
        type: import("vue").PropType<(date: Date) => boolean>;
    };
    mode: {
        type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
    };
    picker: {
        type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
    };
    valueFormat: StringConstructor;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    defaultPickerValue?: unknown;
    defaultValue?: unknown;
    value?: unknown;
    disabledTime?: unknown;
    format?: unknown;
    renderExtraFooter?: unknown;
    showNow?: unknown;
    monthCellRender?: unknown;
    monthCellContentRender?: unknown;
    id?: unknown;
    dropdownClassName?: unknown;
    dropdownAlign?: unknown;
    popupStyle?: unknown;
    transitionName?: unknown;
    placeholder?: unknown;
    allowClear?: unknown;
    autofocus?: unknown;
    disabled?: unknown;
    tabindex?: unknown;
    open?: unknown;
    defaultOpen?: unknown;
    inputReadOnly?: unknown;
    getPopupContainer?: unknown;
    panelRender?: unknown;
    onChange?: unknown;
    'onUpdate:value'?: unknown;
    onOk?: unknown;
    onOpenChange?: unknown;
    'onUpdate:open'?: unknown;
    onFocus?: unknown;
    onBlur?: unknown;
    onMousedown?: unknown;
    onMouseup?: unknown;
    onMouseenter?: unknown;
    onMouseleave?: unknown;
    onClick?: unknown;
    onContextmenu?: unknown;
    onKeydown?: unknown;
    role?: unknown;
    name?: unknown;
    autocomplete?: unknown;
    direction?: unknown;
    showToday?: unknown;
    showTime?: unknown;
    locale?: unknown;
    size?: unknown;
    bordered?: unknown;
    dateRender?: unknown;
    disabledDate?: unknown;
    mode?: unknown;
    picker?: unknown;
    valueFormat?: unknown;
} & {} & {
    onFocus?: import("../_util/EventInterface").FocusEventHandler;
    onBlur?: import("../_util/EventInterface").FocusEventHandler;
    onChange?: (value: string | Date, dateString: string) => void;
    onKeydown?: (event: KeyboardEvent, preventDefault: () => void) => void;
    onClick?: import("../_util/EventInterface").MouseEventHandler;
    onContextmenu?: import("../_util/EventInterface").MouseEventHandler;
    onMousedown?: import("../_util/EventInterface").MouseEventHandler;
    onMouseenter?: import("../_util/EventInterface").MouseEventHandler;
    onMouseleave?: import("../_util/EventInterface").MouseEventHandler;
    onMouseup?: import("../_util/EventInterface").MouseEventHandler;
    size?: import("../config-provider").SizeType;
    direction?: "ltr" | "rtl";
    open?: boolean;
    disabled?: boolean;
    disabledDate?: (date: Date) => boolean;
    picker?: import("../vc-picker/interface").PickerMode;
    mode?: import("../vc-picker/interface").PanelMode;
    locale?: import("./generatePicker").PickerLocale;
    format?: string | import("../vc-picker/interface").CustomFormat<Date> | (string | import("../vc-picker/interface").CustomFormat<Date>)[];
    value?: string | Date;
    name?: string;
    role?: string;
    tabindex?: number;
    getPopupContainer?: (node: HTMLElement) => HTMLElement;
    autocomplete?: string;
    dateRender?: import("../vc-picker/panels/DatePanel/DateBody").DateRender<Date>;
    defaultPickerValue?: string | Date;
    defaultValue?: string | Date;
    disabledTime?: import("../vc-picker/interface").DisabledTime<Date>;
    showTime?: any;
    monthCellRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
    onOk?: (value: string | Date) => void;
    showNow?: boolean;
    renderExtraFooter?: (mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode;
    showToday?: boolean;
    transitionName?: string;
    popupStyle?: unknown;
    dropdownClassName?: string;
    dropdownAlign?: unknown;
    placeholder?: string;
    allowClear?: boolean;
    autofocus?: boolean;
    defaultOpen?: boolean;
    inputReadOnly?: boolean;
    id?: string;
    panelRender?: (originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode;
    onOpenChange?: (open: boolean) => void;
    monthCellContentRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
    "onUpdate:value"?: (value: string | Date) => void;
    "onUpdate:open"?: (open: boolean) => void;
    bordered?: boolean;
    valueFormat?: string;
}>, {
    open: boolean;
    disabled: boolean;
    showTime: any;
    showNow: boolean;
    showToday: boolean;
    allowClear: boolean;
    autofocus: boolean;
    defaultOpen: boolean;
    inputReadOnly: boolean;
    bordered: boolean;
}>, MonthPicker: import("vue").DefineComponent<{
    defaultPickerValue: {
        type: import("vue").PropType<string | Date>;
    };
    defaultValue: {
        type: import("vue").PropType<string | Date>;
    };
    value: {
        type: import("vue").PropType<string | Date>;
    };
    disabledTime: {
        type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Date>>;
    };
    format: {
        type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Date> | (string | import("../vc-picker/interface").CustomFormat<Date>)[]>;
    };
    renderExtraFooter: {
        type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
    };
    showNow: {
        type: BooleanConstructor;
        default: any;
    };
    monthCellRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>>;
    };
    monthCellContentRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>>;
    };
    id: StringConstructor;
    dropdownClassName: StringConstructor;
    dropdownAlign: {
        type: import("vue").PropType<import("../vc-align/interface").AlignType>;
    };
    popupStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
    };
    transitionName: StringConstructor;
    placeholder: StringConstructor;
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    tabindex: NumberConstructor;
    open: {
        type: BooleanConstructor;
        default: any;
    };
    defaultOpen: {
        type: BooleanConstructor;
        default: any;
    };
    inputReadOnly: {
        type: BooleanConstructor;
        default: any;
    };
    getPopupContainer: {
        type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
    };
    panelRender: {
        type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
    };
    onChange: {
        type: import("vue").PropType<(value: string | Date, dateString: string) => void>;
    };
    'onUpdate:value': {
        type: import("vue").PropType<(value: string | Date) => void>;
    };
    onOk: {
        type: import("vue").PropType<(value: string | Date) => void>;
    };
    onOpenChange: {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    'onUpdate:open': {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    onFocus: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onBlur: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onMousedown: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseup: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseenter: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseleave: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onClick: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onContextmenu: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onKeydown: {
        type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
    };
    role: StringConstructor;
    name: StringConstructor;
    autocomplete: StringConstructor;
    direction: {
        type: import("vue").PropType<"ltr" | "rtl">;
    };
    showToday: {
        type: BooleanConstructor;
        default: any;
    };
    showTime: {
        type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Date>>;
        default: any;
    };
    locale: {
        type: import("vue").PropType<import("./generatePicker").PickerLocale>;
    };
    size: {
        type: import("vue").PropType<import("../config-provider").SizeType>;
    };
    bordered: {
        type: BooleanConstructor;
        default: any;
    };
    dateRender: {
        type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Date>>;
    };
    disabledDate: {
        type: import("vue").PropType<(date: Date) => boolean>;
    };
    mode: {
        type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
    };
    picker: {
        type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
    };
    valueFormat: StringConstructor;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    defaultPickerValue?: unknown;
    defaultValue?: unknown;
    value?: unknown;
    disabledTime?: unknown;
    format?: unknown;
    renderExtraFooter?: unknown;
    showNow?: unknown;
    monthCellRender?: unknown;
    monthCellContentRender?: unknown;
    id?: unknown;
    dropdownClassName?: unknown;
    dropdownAlign?: unknown;
    popupStyle?: unknown;
    transitionName?: unknown;
    placeholder?: unknown;
    allowClear?: unknown;
    autofocus?: unknown;
    disabled?: unknown;
    tabindex?: unknown;
    open?: unknown;
    defaultOpen?: unknown;
    inputReadOnly?: unknown;
    getPopupContainer?: unknown;
    panelRender?: unknown;
    onChange?: unknown;
    'onUpdate:value'?: unknown;
    onOk?: unknown;
    onOpenChange?: unknown;
    'onUpdate:open'?: unknown;
    onFocus?: unknown;
    onBlur?: unknown;
    onMousedown?: unknown;
    onMouseup?: unknown;
    onMouseenter?: unknown;
    onMouseleave?: unknown;
    onClick?: unknown;
    onContextmenu?: unknown;
    onKeydown?: unknown;
    role?: unknown;
    name?: unknown;
    autocomplete?: unknown;
    direction?: unknown;
    showToday?: unknown;
    showTime?: unknown;
    locale?: unknown;
    size?: unknown;
    bordered?: unknown;
    dateRender?: unknown;
    disabledDate?: unknown;
    mode?: unknown;
    picker?: unknown;
    valueFormat?: unknown;
} & {} & {
    onFocus?: import("../_util/EventInterface").FocusEventHandler;
    onBlur?: import("../_util/EventInterface").FocusEventHandler;
    onChange?: (value: string | Date, dateString: string) => void;
    onKeydown?: (event: KeyboardEvent, preventDefault: () => void) => void;
    onClick?: import("../_util/EventInterface").MouseEventHandler;
    onContextmenu?: import("../_util/EventInterface").MouseEventHandler;
    onMousedown?: import("../_util/EventInterface").MouseEventHandler;
    onMouseenter?: import("../_util/EventInterface").MouseEventHandler;
    onMouseleave?: import("../_util/EventInterface").MouseEventHandler;
    onMouseup?: import("../_util/EventInterface").MouseEventHandler;
    size?: import("../config-provider").SizeType;
    direction?: "ltr" | "rtl";
    open?: boolean;
    disabled?: boolean;
    disabledDate?: (date: Date) => boolean;
    picker?: import("../vc-picker/interface").PickerMode;
    mode?: import("../vc-picker/interface").PanelMode;
    locale?: import("./generatePicker").PickerLocale;
    format?: string | import("../vc-picker/interface").CustomFormat<Date> | (string | import("../vc-picker/interface").CustomFormat<Date>)[];
    value?: string | Date;
    name?: string;
    role?: string;
    tabindex?: number;
    getPopupContainer?: (node: HTMLElement) => HTMLElement;
    autocomplete?: string;
    dateRender?: import("../vc-picker/panels/DatePanel/DateBody").DateRender<Date>;
    defaultPickerValue?: string | Date;
    defaultValue?: string | Date;
    disabledTime?: import("../vc-picker/interface").DisabledTime<Date>;
    showTime?: any;
    monthCellRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
    onOk?: (value: string | Date) => void;
    showNow?: boolean;
    renderExtraFooter?: (mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode;
    showToday?: boolean;
    transitionName?: string;
    popupStyle?: unknown;
    dropdownClassName?: string;
    dropdownAlign?: unknown;
    placeholder?: string;
    allowClear?: boolean;
    autofocus?: boolean;
    defaultOpen?: boolean;
    inputReadOnly?: boolean;
    id?: string;
    panelRender?: (originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode;
    onOpenChange?: (open: boolean) => void;
    monthCellContentRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
    "onUpdate:value"?: (value: string | Date) => void;
    "onUpdate:open"?: (open: boolean) => void;
    bordered?: boolean;
    valueFormat?: string;
}>, {
    open: boolean;
    disabled: boolean;
    showTime: any;
    showNow: boolean;
    showToday: boolean;
    allowClear: boolean;
    autofocus: boolean;
    defaultOpen: boolean;
    inputReadOnly: boolean;
    bordered: boolean;
}>, QuarterPicker: import("vue").DefineComponent<{
    defaultPickerValue: {
        type: import("vue").PropType<string | Date>;
    };
    defaultValue: {
        type: import("vue").PropType<string | Date>;
    };
    value: {
        type: import("vue").PropType<string | Date>;
    };
    disabledTime: {
        type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Date>>;
    };
    format: {
        type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Date> | (string | import("../vc-picker/interface").CustomFormat<Date>)[]>;
    };
    renderExtraFooter: {
        type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
    };
    showNow: {
        type: BooleanConstructor;
        default: any;
    };
    monthCellRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>>;
    };
    monthCellContentRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>>;
    };
    id: StringConstructor;
    dropdownClassName: StringConstructor;
    dropdownAlign: {
        type: import("vue").PropType<import("../vc-align/interface").AlignType>;
    };
    popupStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
    };
    transitionName: StringConstructor;
    placeholder: StringConstructor;
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    tabindex: NumberConstructor;
    open: {
        type: BooleanConstructor;
        default: any;
    };
    defaultOpen: {
        type: BooleanConstructor;
        default: any;
    };
    inputReadOnly: {
        type: BooleanConstructor;
        default: any;
    };
    getPopupContainer: {
        type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
    };
    panelRender: {
        type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
    };
    onChange: {
        type: import("vue").PropType<(value: string | Date, dateString: string) => void>;
    };
    'onUpdate:value': {
        type: import("vue").PropType<(value: string | Date) => void>;
    };
    onOk: {
        type: import("vue").PropType<(value: string | Date) => void>;
    };
    onOpenChange: {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    'onUpdate:open': {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    onFocus: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onBlur: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onMousedown: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseup: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseenter: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseleave: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onClick: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onContextmenu: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onKeydown: {
        type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
    };
    role: StringConstructor;
    name: StringConstructor;
    autocomplete: StringConstructor;
    direction: {
        type: import("vue").PropType<"ltr" | "rtl">;
    };
    showToday: {
        type: BooleanConstructor;
        default: any;
    };
    showTime: {
        type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Date>>;
        default: any;
    };
    locale: {
        type: import("vue").PropType<import("./generatePicker").PickerLocale>;
    };
    size: {
        type: import("vue").PropType<import("../config-provider").SizeType>;
    };
    bordered: {
        type: BooleanConstructor;
        default: any;
    };
    dateRender: {
        type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Date>>;
    };
    disabledDate: {
        type: import("vue").PropType<(date: Date) => boolean>;
    };
    mode: {
        type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
    };
    picker: {
        type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
    };
    valueFormat: StringConstructor;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    defaultPickerValue?: unknown;
    defaultValue?: unknown;
    value?: unknown;
    disabledTime?: unknown;
    format?: unknown;
    renderExtraFooter?: unknown;
    showNow?: unknown;
    monthCellRender?: unknown;
    monthCellContentRender?: unknown;
    id?: unknown;
    dropdownClassName?: unknown;
    dropdownAlign?: unknown;
    popupStyle?: unknown;
    transitionName?: unknown;
    placeholder?: unknown;
    allowClear?: unknown;
    autofocus?: unknown;
    disabled?: unknown;
    tabindex?: unknown;
    open?: unknown;
    defaultOpen?: unknown;
    inputReadOnly?: unknown;
    getPopupContainer?: unknown;
    panelRender?: unknown;
    onChange?: unknown;
    'onUpdate:value'?: unknown;
    onOk?: unknown;
    onOpenChange?: unknown;
    'onUpdate:open'?: unknown;
    onFocus?: unknown;
    onBlur?: unknown;
    onMousedown?: unknown;
    onMouseup?: unknown;
    onMouseenter?: unknown;
    onMouseleave?: unknown;
    onClick?: unknown;
    onContextmenu?: unknown;
    onKeydown?: unknown;
    role?: unknown;
    name?: unknown;
    autocomplete?: unknown;
    direction?: unknown;
    showToday?: unknown;
    showTime?: unknown;
    locale?: unknown;
    size?: unknown;
    bordered?: unknown;
    dateRender?: unknown;
    disabledDate?: unknown;
    mode?: unknown;
    picker?: unknown;
    valueFormat?: unknown;
} & {} & {
    onFocus?: import("../_util/EventInterface").FocusEventHandler;
    onBlur?: import("../_util/EventInterface").FocusEventHandler;
    onChange?: (value: string | Date, dateString: string) => void;
    onKeydown?: (event: KeyboardEvent, preventDefault: () => void) => void;
    onClick?: import("../_util/EventInterface").MouseEventHandler;
    onContextmenu?: import("../_util/EventInterface").MouseEventHandler;
    onMousedown?: import("../_util/EventInterface").MouseEventHandler;
    onMouseenter?: import("../_util/EventInterface").MouseEventHandler;
    onMouseleave?: import("../_util/EventInterface").MouseEventHandler;
    onMouseup?: import("../_util/EventInterface").MouseEventHandler;
    size?: import("../config-provider").SizeType;
    direction?: "ltr" | "rtl";
    open?: boolean;
    disabled?: boolean;
    disabledDate?: (date: Date) => boolean;
    picker?: import("../vc-picker/interface").PickerMode;
    mode?: import("../vc-picker/interface").PanelMode;
    locale?: import("./generatePicker").PickerLocale;
    format?: string | import("../vc-picker/interface").CustomFormat<Date> | (string | import("../vc-picker/interface").CustomFormat<Date>)[];
    value?: string | Date;
    name?: string;
    role?: string;
    tabindex?: number;
    getPopupContainer?: (node: HTMLElement) => HTMLElement;
    autocomplete?: string;
    dateRender?: import("../vc-picker/panels/DatePanel/DateBody").DateRender<Date>;
    defaultPickerValue?: string | Date;
    defaultValue?: string | Date;
    disabledTime?: import("../vc-picker/interface").DisabledTime<Date>;
    showTime?: any;
    monthCellRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
    onOk?: (value: string | Date) => void;
    showNow?: boolean;
    renderExtraFooter?: (mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode;
    showToday?: boolean;
    transitionName?: string;
    popupStyle?: unknown;
    dropdownClassName?: string;
    dropdownAlign?: unknown;
    placeholder?: string;
    allowClear?: boolean;
    autofocus?: boolean;
    defaultOpen?: boolean;
    inputReadOnly?: boolean;
    id?: string;
    panelRender?: (originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode;
    onOpenChange?: (open: boolean) => void;
    monthCellContentRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
    "onUpdate:value"?: (value: string | Date) => void;
    "onUpdate:open"?: (open: boolean) => void;
    bordered?: boolean;
    valueFormat?: string;
}>, {
    open: boolean;
    disabled: boolean;
    showTime: any;
    showNow: boolean;
    showToday: boolean;
    allowClear: boolean;
    autofocus: boolean;
    defaultOpen: boolean;
    inputReadOnly: boolean;
    bordered: boolean;
}>, RangePicker: import("vue").DefineComponent<{
    allowEmpty: {
        type: import("vue").PropType<[boolean, boolean]>;
    };
    dateRender: {
        type: import("vue").PropType<import("../vc-picker/RangePicker").RangeDateRender<Date>>;
    };
    defaultPickerValue: {
        type: import("vue").PropType<[string, string] | [Date, Date]>;
    };
    defaultValue: {
        type: import("vue").PropType<[string, string] | [Date, Date]>;
    };
    value: {
        type: import("vue").PropType<[string, string] | [Date, Date]>;
    };
    disabledTime: {
        type: import("vue").PropType<(date: Date, type: import("../vc-picker/RangePicker").RangeType) => import("../vc-picker/interface").DisabledTimes>;
    };
    disabled: {
        type: import("vue").PropType<boolean | [boolean, boolean]>;
    };
    format: StringConstructor;
    renderExtraFooter: {
        type: import("vue").PropType<() => import("../_util/type").VueNode>;
    };
    separator: {
        type: StringConstructor;
    };
    ranges: {
        type: import("vue").PropType<Record<string, [Date, Date] | (() => [Date, Date])>>;
    };
    placeholder: ArrayConstructor;
    mode: {
        type: import("vue").PropType<[import("../vc-picker/interface").PanelMode, import("../vc-picker/interface").PanelMode]>;
    };
    onChange: {
        type: import("vue").PropType<(value: [string, string] | [Date, Date], dateString: [string, string]) => void>;
    };
    'onUpdate:value': {
        type: import("vue").PropType<(value: [string, string] | [Date, Date]) => void>;
    };
    onCalendarChange: {
        type: import("vue").PropType<(values: [string, string] | [Date, Date], formatString: [string, string], info: import("../vc-picker/RangePicker").RangeInfo) => void>;
    };
    onPanelChange: {
        type: import("vue").PropType<(values: [string, string] | [Date, Date], modes: [import("../vc-picker/interface").PanelMode, import("../vc-picker/interface").PanelMode]) => void>;
    };
    onOk: {
        type: import("vue").PropType<(dates: [string, string] | [Date, Date]) => void>;
    };
    id: StringConstructor;
    dropdownClassName: StringConstructor;
    dropdownAlign: {
        type: import("vue").PropType<import("../vc-align/interface").AlignType>;
    };
    popupStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
    };
    transitionName: StringConstructor;
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    tabindex: NumberConstructor;
    open: {
        type: BooleanConstructor;
        default: any;
    };
    defaultOpen: {
        type: BooleanConstructor;
        default: any;
    };
    inputReadOnly: {
        type: BooleanConstructor;
        default: any;
    };
    getPopupContainer: {
        type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
    };
    panelRender: {
        type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
    };
    onOpenChange: {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    'onUpdate:open': {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    onFocus: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onBlur: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onMousedown: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseup: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseenter: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseleave: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onClick: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onContextmenu: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onKeydown: {
        type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
    };
    role: StringConstructor;
    name: StringConstructor;
    autocomplete: StringConstructor;
    direction: {
        type: import("vue").PropType<"ltr" | "rtl">;
    };
    showToday: {
        type: BooleanConstructor;
        default: any;
    };
    showTime: {
        type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Date>>;
        default: any;
    };
    locale: {
        type: import("vue").PropType<import("./generatePicker").PickerLocale>;
    };
    size: {
        type: import("vue").PropType<import("../config-provider").SizeType>;
    };
    bordered: {
        type: BooleanConstructor;
        default: any;
    };
    disabledDate: {
        type: import("vue").PropType<(date: Date) => boolean>;
    };
    picker: {
        type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
    };
    valueFormat: StringConstructor;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    allowEmpty?: unknown;
    dateRender?: unknown;
    defaultPickerValue?: unknown;
    defaultValue?: unknown;
    value?: unknown;
    disabledTime?: unknown;
    disabled?: unknown;
    format?: unknown;
    renderExtraFooter?: unknown;
    separator?: unknown;
    ranges?: unknown;
    placeholder?: unknown;
    mode?: unknown;
    onChange?: unknown;
    'onUpdate:value'?: unknown;
    onCalendarChange?: unknown;
    onPanelChange?: unknown;
    onOk?: unknown;
    id?: unknown;
    dropdownClassName?: unknown;
    dropdownAlign?: unknown;
    popupStyle?: unknown;
    transitionName?: unknown;
    allowClear?: unknown;
    autofocus?: unknown;
    tabindex?: unknown;
    open?: unknown;
    defaultOpen?: unknown;
    inputReadOnly?: unknown;
    getPopupContainer?: unknown;
    panelRender?: unknown;
    onOpenChange?: unknown;
    'onUpdate:open'?: unknown;
    onFocus?: unknown;
    onBlur?: unknown;
    onMousedown?: unknown;
    onMouseup?: unknown;
    onMouseenter?: unknown;
    onMouseleave?: unknown;
    onClick?: unknown;
    onContextmenu?: unknown;
    onKeydown?: unknown;
    role?: unknown;
    name?: unknown;
    autocomplete?: unknown;
    direction?: unknown;
    showToday?: unknown;
    showTime?: unknown;
    locale?: unknown;
    size?: unknown;
    bordered?: unknown;
    disabledDate?: unknown;
    picker?: unknown;
    valueFormat?: unknown;
} & {} & {
    onFocus?: import("../_util/EventInterface").FocusEventHandler;
    onBlur?: import("../_util/EventInterface").FocusEventHandler;
    onChange?: (value: [string, string] | [Date, Date], dateString: [string, string]) => void;
    onKeydown?: (event: KeyboardEvent, preventDefault: () => void) => void;
    onClick?: import("../_util/EventInterface").MouseEventHandler;
    onContextmenu?: import("../_util/EventInterface").MouseEventHandler;
    onMousedown?: import("../_util/EventInterface").MouseEventHandler;
    onMouseenter?: import("../_util/EventInterface").MouseEventHandler;
    onMouseleave?: import("../_util/EventInterface").MouseEventHandler;
    onMouseup?: import("../_util/EventInterface").MouseEventHandler;
    size?: import("../config-provider").SizeType;
    direction?: "ltr" | "rtl";
    open?: boolean;
    separator?: string;
    disabled?: boolean | [boolean, boolean];
    disabledDate?: (date: Date) => boolean;
    picker?: import("../vc-picker/interface").PickerMode;
    mode?: [import("../vc-picker/interface").PanelMode, import("../vc-picker/interface").PanelMode];
    onPanelChange?: (values: [string, string] | [Date, Date], modes: [import("../vc-picker/interface").PanelMode, import("../vc-picker/interface").PanelMode]) => void;
    locale?: import("./generatePicker").PickerLocale;
    format?: string;
    value?: [string, string] | [Date, Date];
    name?: string;
    role?: string;
    tabindex?: number;
    getPopupContainer?: (node: HTMLElement) => HTMLElement;
    autocomplete?: string;
    dateRender?: import("../vc-picker/RangePicker").RangeDateRender<Date>;
    defaultPickerValue?: [string, string] | [Date, Date];
    defaultValue?: [string, string] | [Date, Date];
    disabledTime?: (date: Date, type: import("../vc-picker/RangePicker").RangeType) => import("../vc-picker/interface").DisabledTimes;
    showTime?: any;
    onOk?: (dates: [string, string] | [Date, Date]) => void;
    renderExtraFooter?: () => import("../_util/type").VueNode;
    showToday?: boolean;
    transitionName?: string;
    popupStyle?: unknown;
    dropdownClassName?: string;
    dropdownAlign?: unknown;
    placeholder?: unknown[];
    allowClear?: boolean;
    autofocus?: boolean;
    defaultOpen?: boolean;
    inputReadOnly?: boolean;
    id?: string;
    panelRender?: (originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode;
    onOpenChange?: (open: boolean) => void;
    ranges?: Record<string, [Date, Date] | (() => [Date, Date])>;
    allowEmpty?: [boolean, boolean];
    onCalendarChange?: (values: [string, string] | [Date, Date], formatString: [string, string], info: import("../vc-picker/RangePicker").RangeInfo) => void;
    "onUpdate:value"?: (value: [string, string] | [Date, Date]) => void;
    "onUpdate:open"?: (open: boolean) => void;
    bordered?: boolean;
    valueFormat?: string;
}>, {
    open: boolean;
    showTime: any;
    showToday: boolean;
    allowClear: boolean;
    autofocus: boolean;
    defaultOpen: boolean;
    inputReadOnly: boolean;
    bordered: boolean;
}>;
export { RangePicker, WeekPicker, MonthPicker, QuarterPicker };
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            open: boolean;
            disabled: boolean;
            showTime: any;
            showNow: boolean;
            showToday: boolean;
            allowClear: boolean;
            autofocus: boolean;
            defaultOpen: boolean;
            inputReadOnly: boolean;
            bordered: boolean;
        }> & Omit<Readonly<{
            defaultPickerValue?: unknown;
            defaultValue?: unknown;
            value?: unknown;
            disabledTime?: unknown;
            format?: unknown;
            renderExtraFooter?: unknown;
            showNow?: unknown;
            monthCellRender?: unknown;
            monthCellContentRender?: unknown;
            id?: unknown;
            dropdownClassName?: unknown;
            dropdownAlign?: unknown;
            popupStyle?: unknown;
            transitionName?: unknown;
            placeholder?: unknown;
            allowClear?: unknown;
            autofocus?: unknown;
            disabled?: unknown;
            tabindex?: unknown;
            open?: unknown;
            defaultOpen?: unknown;
            inputReadOnly?: unknown;
            getPopupContainer?: unknown;
            panelRender?: unknown;
            onChange?: unknown;
            'onUpdate:value'?: unknown;
            onOk?: unknown;
            onOpenChange?: unknown;
            'onUpdate:open'?: unknown;
            onFocus?: unknown;
            onBlur?: unknown;
            onMousedown?: unknown;
            onMouseup?: unknown;
            onMouseenter?: unknown;
            onMouseleave?: unknown;
            onClick?: unknown;
            onContextmenu?: unknown;
            onKeydown?: unknown;
            role?: unknown;
            name?: unknown;
            autocomplete?: unknown;
            direction?: unknown;
            showToday?: unknown;
            showTime?: unknown;
            locale?: unknown;
            size?: unknown;
            bordered?: unknown;
            dateRender?: unknown;
            disabledDate?: unknown;
            mode?: unknown;
            picker?: unknown;
            valueFormat?: unknown;
        } & {} & {
            onFocus?: import("../_util/EventInterface").FocusEventHandler;
            onBlur?: import("../_util/EventInterface").FocusEventHandler;
            onChange?: (value: string | Date, dateString: string) => void;
            onKeydown?: (event: KeyboardEvent, preventDefault: () => void) => void;
            onClick?: import("../_util/EventInterface").MouseEventHandler;
            onContextmenu?: import("../_util/EventInterface").MouseEventHandler;
            onMousedown?: import("../_util/EventInterface").MouseEventHandler;
            onMouseenter?: import("../_util/EventInterface").MouseEventHandler;
            onMouseleave?: import("../_util/EventInterface").MouseEventHandler;
            onMouseup?: import("../_util/EventInterface").MouseEventHandler;
            size?: import("../config-provider").SizeType;
            direction?: "ltr" | "rtl";
            open?: boolean;
            disabled?: boolean;
            disabledDate?: (date: Date) => boolean;
            picker?: import("../vc-picker/interface").PickerMode;
            mode?: import("../vc-picker/interface").PanelMode;
            locale?: import("./generatePicker").PickerLocale;
            format?: string | import("../vc-picker/interface").CustomFormat<Date> | (string | import("../vc-picker/interface").CustomFormat<Date>)[];
            value?: string | Date;
            name?: string;
            role?: string;
            tabindex?: number;
            getPopupContainer?: (node: HTMLElement) => HTMLElement;
            autocomplete?: string;
            dateRender?: import("../vc-picker/panels/DatePanel/DateBody").DateRender<Date>;
            defaultPickerValue?: string | Date;
            defaultValue?: string | Date;
            disabledTime?: import("../vc-picker/interface").DisabledTime<Date>;
            showTime?: any;
            monthCellRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
            onOk?: (value: string | Date) => void;
            showNow?: boolean;
            renderExtraFooter?: (mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode;
            showToday?: boolean;
            transitionName?: string;
            popupStyle?: unknown;
            dropdownClassName?: string;
            dropdownAlign?: unknown;
            placeholder?: string;
            allowClear?: boolean;
            autofocus?: boolean;
            defaultOpen?: boolean;
            inputReadOnly?: boolean;
            id?: string;
            panelRender?: (originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode;
            onOpenChange?: (open: boolean) => void;
            monthCellContentRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
            "onUpdate:value"?: (value: string | Date) => void;
            "onUpdate:open"?: (open: boolean) => void;
            bordered?: boolean;
            valueFormat?: string;
        }> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "open" | "disabled" | "showTime" | "showNow" | "showToday" | "allowClear" | "autofocus" | "defaultOpen" | "inputReadOnly" | "bordered">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<{
            defaultPickerValue?: unknown;
            defaultValue?: unknown;
            value?: unknown;
            disabledTime?: unknown;
            format?: unknown;
            renderExtraFooter?: unknown;
            showNow?: unknown;
            monthCellRender?: unknown;
            monthCellContentRender?: unknown;
            id?: unknown;
            dropdownClassName?: unknown;
            dropdownAlign?: unknown;
            popupStyle?: unknown;
            transitionName?: unknown;
            placeholder?: unknown;
            allowClear?: unknown;
            autofocus?: unknown;
            disabled?: unknown;
            tabindex?: unknown;
            open?: unknown;
            defaultOpen?: unknown;
            inputReadOnly?: unknown;
            getPopupContainer?: unknown;
            panelRender?: unknown;
            onChange?: unknown;
            'onUpdate:value'?: unknown;
            onOk?: unknown;
            onOpenChange?: unknown;
            'onUpdate:open'?: unknown;
            onFocus?: unknown;
            onBlur?: unknown;
            onMousedown?: unknown;
            onMouseup?: unknown;
            onMouseenter?: unknown;
            onMouseleave?: unknown;
            onClick?: unknown;
            onContextmenu?: unknown;
            onKeydown?: unknown;
            role?: unknown;
            name?: unknown;
            autocomplete?: unknown;
            direction?: unknown;
            showToday?: unknown;
            showTime?: unknown;
            locale?: unknown;
            size?: unknown;
            bordered?: unknown;
            dateRender?: unknown;
            disabledDate?: unknown;
            mode?: unknown;
            picker?: unknown;
            valueFormat?: unknown;
        } & {} & {
            onFocus?: import("../_util/EventInterface").FocusEventHandler;
            onBlur?: import("../_util/EventInterface").FocusEventHandler;
            onChange?: (value: string | Date, dateString: string) => void;
            onKeydown?: (event: KeyboardEvent, preventDefault: () => void) => void;
            onClick?: import("../_util/EventInterface").MouseEventHandler;
            onContextmenu?: import("../_util/EventInterface").MouseEventHandler;
            onMousedown?: import("../_util/EventInterface").MouseEventHandler;
            onMouseenter?: import("../_util/EventInterface").MouseEventHandler;
            onMouseleave?: import("../_util/EventInterface").MouseEventHandler;
            onMouseup?: import("../_util/EventInterface").MouseEventHandler;
            size?: import("../config-provider").SizeType;
            direction?: "ltr" | "rtl";
            open?: boolean;
            disabled?: boolean;
            disabledDate?: (date: Date) => boolean;
            picker?: import("../vc-picker/interface").PickerMode;
            mode?: import("../vc-picker/interface").PanelMode;
            locale?: import("./generatePicker").PickerLocale;
            format?: string | import("../vc-picker/interface").CustomFormat<Date> | (string | import("../vc-picker/interface").CustomFormat<Date>)[];
            value?: string | Date;
            name?: string;
            role?: string;
            tabindex?: number;
            getPopupContainer?: (node: HTMLElement) => HTMLElement;
            autocomplete?: string;
            dateRender?: import("../vc-picker/panels/DatePanel/DateBody").DateRender<Date>;
            defaultPickerValue?: string | Date;
            defaultValue?: string | Date;
            disabledTime?: import("../vc-picker/interface").DisabledTime<Date>;
            showTime?: any;
            monthCellRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
            onOk?: (value: string | Date) => void;
            showNow?: boolean;
            renderExtraFooter?: (mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode;
            showToday?: boolean;
            transitionName?: string;
            popupStyle?: unknown;
            dropdownClassName?: string;
            dropdownAlign?: unknown;
            placeholder?: string;
            allowClear?: boolean;
            autofocus?: boolean;
            defaultOpen?: boolean;
            inputReadOnly?: boolean;
            id?: string;
            panelRender?: (originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode;
            onOpenChange?: (open: boolean) => void;
            monthCellContentRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
            "onUpdate:value"?: (value: string | Date) => void;
            "onUpdate:open"?: (open: boolean) => void;
            bordered?: boolean;
            valueFormat?: string;
        }>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
            open: boolean;
            disabled: boolean;
            showTime: any;
            showNow: boolean;
            showToday: boolean;
            allowClear: boolean;
            autofocus: boolean;
            defaultOpen: boolean;
            inputReadOnly: boolean;
            bordered: boolean;
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<{
        defaultPickerValue?: unknown;
        defaultValue?: unknown;
        value?: unknown;
        disabledTime?: unknown;
        format?: unknown;
        renderExtraFooter?: unknown;
        showNow?: unknown;
        monthCellRender?: unknown;
        monthCellContentRender?: unknown;
        id?: unknown;
        dropdownClassName?: unknown;
        dropdownAlign?: unknown;
        popupStyle?: unknown;
        transitionName?: unknown;
        placeholder?: unknown;
        allowClear?: unknown;
        autofocus?: unknown;
        disabled?: unknown;
        tabindex?: unknown;
        open?: unknown;
        defaultOpen?: unknown;
        inputReadOnly?: unknown;
        getPopupContainer?: unknown;
        panelRender?: unknown;
        onChange?: unknown;
        'onUpdate:value'?: unknown;
        onOk?: unknown;
        onOpenChange?: unknown;
        'onUpdate:open'?: unknown;
        onFocus?: unknown;
        onBlur?: unknown;
        onMousedown?: unknown;
        onMouseup?: unknown;
        onMouseenter?: unknown;
        onMouseleave?: unknown;
        onClick?: unknown;
        onContextmenu?: unknown;
        onKeydown?: unknown;
        role?: unknown;
        name?: unknown;
        autocomplete?: unknown;
        direction?: unknown;
        showToday?: unknown;
        showTime?: unknown;
        locale?: unknown;
        size?: unknown;
        bordered?: unknown;
        dateRender?: unknown;
        disabledDate?: unknown;
        mode?: unknown;
        picker?: unknown;
        valueFormat?: unknown;
    } & {} & {
        onFocus?: import("../_util/EventInterface").FocusEventHandler;
        onBlur?: import("../_util/EventInterface").FocusEventHandler;
        onChange?: (value: string | Date, dateString: string) => void;
        onKeydown?: (event: KeyboardEvent, preventDefault: () => void) => void;
        onClick?: import("../_util/EventInterface").MouseEventHandler;
        onContextmenu?: import("../_util/EventInterface").MouseEventHandler;
        onMousedown?: import("../_util/EventInterface").MouseEventHandler;
        onMouseenter?: import("../_util/EventInterface").MouseEventHandler;
        onMouseleave?: import("../_util/EventInterface").MouseEventHandler;
        onMouseup?: import("../_util/EventInterface").MouseEventHandler;
        size?: import("../config-provider").SizeType;
        direction?: "ltr" | "rtl";
        open?: boolean;
        disabled?: boolean;
        disabledDate?: (date: Date) => boolean;
        picker?: import("../vc-picker/interface").PickerMode;
        mode?: import("../vc-picker/interface").PanelMode;
        locale?: import("./generatePicker").PickerLocale;
        format?: string | import("../vc-picker/interface").CustomFormat<Date> | (string | import("../vc-picker/interface").CustomFormat<Date>)[];
        value?: string | Date;
        name?: string;
        role?: string;
        tabindex?: number;
        getPopupContainer?: (node: HTMLElement) => HTMLElement;
        autocomplete?: string;
        dateRender?: import("../vc-picker/panels/DatePanel/DateBody").DateRender<Date>;
        defaultPickerValue?: string | Date;
        defaultValue?: string | Date;
        disabledTime?: import("../vc-picker/interface").DisabledTime<Date>;
        showTime?: any;
        monthCellRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
        onOk?: (value: string | Date) => void;
        showNow?: boolean;
        renderExtraFooter?: (mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode;
        showToday?: boolean;
        transitionName?: string;
        popupStyle?: unknown;
        dropdownClassName?: string;
        dropdownAlign?: unknown;
        placeholder?: string;
        allowClear?: boolean;
        autofocus?: boolean;
        defaultOpen?: boolean;
        inputReadOnly?: boolean;
        id?: string;
        panelRender?: (originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode;
        onOpenChange?: (open: boolean) => void;
        monthCellContentRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
        "onUpdate:value"?: (value: string | Date) => void;
        "onUpdate:open"?: (open: boolean) => void;
        bordered?: boolean;
        valueFormat?: string;
    }> & import("vue").ShallowUnwrapRef<() => JSX.Element> & {} & {} & import("vue").ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<{
    defaultPickerValue?: unknown;
    defaultValue?: unknown;
    value?: unknown;
    disabledTime?: unknown;
    format?: unknown;
    renderExtraFooter?: unknown;
    showNow?: unknown;
    monthCellRender?: unknown;
    monthCellContentRender?: unknown;
    id?: unknown;
    dropdownClassName?: unknown;
    dropdownAlign?: unknown;
    popupStyle?: unknown;
    transitionName?: unknown;
    placeholder?: unknown;
    allowClear?: unknown;
    autofocus?: unknown;
    disabled?: unknown;
    tabindex?: unknown;
    open?: unknown;
    defaultOpen?: unknown;
    inputReadOnly?: unknown;
    getPopupContainer?: unknown;
    panelRender?: unknown;
    onChange?: unknown;
    'onUpdate:value'?: unknown;
    onOk?: unknown;
    onOpenChange?: unknown;
    'onUpdate:open'?: unknown;
    onFocus?: unknown;
    onBlur?: unknown;
    onMousedown?: unknown;
    onMouseup?: unknown;
    onMouseenter?: unknown;
    onMouseleave?: unknown;
    onClick?: unknown;
    onContextmenu?: unknown;
    onKeydown?: unknown;
    role?: unknown;
    name?: unknown;
    autocomplete?: unknown;
    direction?: unknown;
    showToday?: unknown;
    showTime?: unknown;
    locale?: unknown;
    size?: unknown;
    bordered?: unknown;
    dateRender?: unknown;
    disabledDate?: unknown;
    mode?: unknown;
    picker?: unknown;
    valueFormat?: unknown;
} & {} & {
    onFocus?: import("../_util/EventInterface").FocusEventHandler;
    onBlur?: import("../_util/EventInterface").FocusEventHandler;
    onChange?: (value: string | Date, dateString: string) => void;
    onKeydown?: (event: KeyboardEvent, preventDefault: () => void) => void;
    onClick?: import("../_util/EventInterface").MouseEventHandler;
    onContextmenu?: import("../_util/EventInterface").MouseEventHandler;
    onMousedown?: import("../_util/EventInterface").MouseEventHandler;
    onMouseenter?: import("../_util/EventInterface").MouseEventHandler;
    onMouseleave?: import("../_util/EventInterface").MouseEventHandler;
    onMouseup?: import("../_util/EventInterface").MouseEventHandler;
    size?: import("../config-provider").SizeType;
    direction?: "ltr" | "rtl";
    open?: boolean;
    disabled?: boolean;
    disabledDate?: (date: Date) => boolean;
    picker?: import("../vc-picker/interface").PickerMode;
    mode?: import("../vc-picker/interface").PanelMode;
    locale?: import("./generatePicker").PickerLocale;
    format?: string | import("../vc-picker/interface").CustomFormat<Date> | (string | import("../vc-picker/interface").CustomFormat<Date>)[];
    value?: string | Date;
    name?: string;
    role?: string;
    tabindex?: number;
    getPopupContainer?: (node: HTMLElement) => HTMLElement;
    autocomplete?: string;
    dateRender?: import("../vc-picker/panels/DatePanel/DateBody").DateRender<Date>;
    defaultPickerValue?: string | Date;
    defaultValue?: string | Date;
    disabledTime?: import("../vc-picker/interface").DisabledTime<Date>;
    showTime?: any;
    monthCellRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
    onOk?: (value: string | Date) => void;
    showNow?: boolean;
    renderExtraFooter?: (mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode;
    showToday?: boolean;
    transitionName?: string;
    popupStyle?: unknown;
    dropdownClassName?: string;
    dropdownAlign?: unknown;
    placeholder?: string;
    allowClear?: boolean;
    autofocus?: boolean;
    defaultOpen?: boolean;
    inputReadOnly?: boolean;
    id?: string;
    panelRender?: (originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode;
    onOpenChange?: (open: boolean) => void;
    monthCellContentRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
    "onUpdate:value"?: (value: string | Date) => void;
    "onUpdate:open"?: (open: boolean) => void;
    bordered?: boolean;
    valueFormat?: string;
}>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
    open: boolean;
    disabled: boolean;
    showTime: any;
    showNow: boolean;
    showToday: boolean;
    allowClear: boolean;
    autofocus: boolean;
    defaultOpen: boolean;
    inputReadOnly: boolean;
    bordered: boolean;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & {
    WeekPicker: import("vue").DefineComponent<{
        defaultPickerValue: {
            type: import("vue").PropType<string | Date>;
        };
        defaultValue: {
            type: import("vue").PropType<string | Date>;
        };
        value: {
            type: import("vue").PropType<string | Date>;
        };
        disabledTime: {
            type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Date>>;
        };
        format: {
            type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Date> | (string | import("../vc-picker/interface").CustomFormat<Date>)[]>;
        };
        renderExtraFooter: {
            type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
        };
        showNow: {
            type: BooleanConstructor;
            default: any;
        };
        monthCellRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>>;
        };
        monthCellContentRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>>;
        };
        id: StringConstructor;
        dropdownClassName: StringConstructor;
        dropdownAlign: {
            type: import("vue").PropType<import("../vc-align/interface").AlignType>;
        };
        popupStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        transitionName: StringConstructor;
        placeholder: StringConstructor;
        allowClear: {
            type: BooleanConstructor;
            default: any;
        };
        autofocus: {
            type: BooleanConstructor;
            default: any;
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        tabindex: NumberConstructor;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        defaultOpen: {
            type: BooleanConstructor;
            default: any;
        };
        inputReadOnly: {
            type: BooleanConstructor;
            default: any;
        };
        getPopupContainer: {
            type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
        };
        panelRender: {
            type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        };
        onChange: {
            type: import("vue").PropType<(value: string | Date, dateString: string) => void>;
        };
        'onUpdate:value': {
            type: import("vue").PropType<(value: string | Date) => void>;
        };
        onOk: {
            type: import("vue").PropType<(value: string | Date) => void>;
        };
        onOpenChange: {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        'onUpdate:open': {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        onFocus: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onBlur: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onMousedown: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseup: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseenter: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseleave: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onClick: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onContextmenu: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onKeydown: {
            type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
        };
        role: StringConstructor;
        name: StringConstructor;
        autocomplete: StringConstructor;
        direction: {
            type: import("vue").PropType<"ltr" | "rtl">;
        };
        showToday: {
            type: BooleanConstructor;
            default: any;
        };
        showTime: {
            type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Date>>;
            default: any;
        };
        locale: {
            type: import("vue").PropType<import("./generatePicker").PickerLocale>;
        };
        size: {
            type: import("vue").PropType<import("../config-provider").SizeType>;
        };
        bordered: {
            type: BooleanConstructor;
            default: any;
        };
        dateRender: {
            type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Date>>;
        };
        disabledDate: {
            type: import("vue").PropType<(date: Date) => boolean>;
        };
        mode: {
            type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
        };
        picker: {
            type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
        };
        valueFormat: StringConstructor;
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
        defaultPickerValue?: unknown;
        defaultValue?: unknown;
        value?: unknown;
        disabledTime?: unknown;
        format?: unknown;
        renderExtraFooter?: unknown;
        showNow?: unknown;
        monthCellRender?: unknown;
        monthCellContentRender?: unknown;
        id?: unknown;
        dropdownClassName?: unknown;
        dropdownAlign?: unknown;
        popupStyle?: unknown;
        transitionName?: unknown;
        placeholder?: unknown;
        allowClear?: unknown;
        autofocus?: unknown;
        disabled?: unknown;
        tabindex?: unknown;
        open?: unknown;
        defaultOpen?: unknown;
        inputReadOnly?: unknown;
        getPopupContainer?: unknown;
        panelRender?: unknown;
        onChange?: unknown;
        'onUpdate:value'?: unknown;
        onOk?: unknown;
        onOpenChange?: unknown;
        'onUpdate:open'?: unknown;
        onFocus?: unknown;
        onBlur?: unknown;
        onMousedown?: unknown;
        onMouseup?: unknown;
        onMouseenter?: unknown;
        onMouseleave?: unknown;
        onClick?: unknown;
        onContextmenu?: unknown;
        onKeydown?: unknown;
        role?: unknown;
        name?: unknown;
        autocomplete?: unknown;
        direction?: unknown;
        showToday?: unknown;
        showTime?: unknown;
        locale?: unknown;
        size?: unknown;
        bordered?: unknown;
        dateRender?: unknown;
        disabledDate?: unknown;
        mode?: unknown;
        picker?: unknown;
        valueFormat?: unknown;
    } & {} & {
        onFocus?: import("../_util/EventInterface").FocusEventHandler;
        onBlur?: import("../_util/EventInterface").FocusEventHandler;
        onChange?: (value: string | Date, dateString: string) => void;
        onKeydown?: (event: KeyboardEvent, preventDefault: () => void) => void;
        onClick?: import("../_util/EventInterface").MouseEventHandler;
        onContextmenu?: import("../_util/EventInterface").MouseEventHandler;
        onMousedown?: import("../_util/EventInterface").MouseEventHandler;
        onMouseenter?: import("../_util/EventInterface").MouseEventHandler;
        onMouseleave?: import("../_util/EventInterface").MouseEventHandler;
        onMouseup?: import("../_util/EventInterface").MouseEventHandler;
        size?: import("../config-provider").SizeType;
        direction?: "ltr" | "rtl";
        open?: boolean;
        disabled?: boolean;
        disabledDate?: (date: Date) => boolean;
        picker?: import("../vc-picker/interface").PickerMode;
        mode?: import("../vc-picker/interface").PanelMode;
        locale?: import("./generatePicker").PickerLocale;
        format?: string | import("../vc-picker/interface").CustomFormat<Date> | (string | import("../vc-picker/interface").CustomFormat<Date>)[];
        value?: string | Date;
        name?: string;
        role?: string;
        tabindex?: number;
        getPopupContainer?: (node: HTMLElement) => HTMLElement;
        autocomplete?: string;
        dateRender?: import("../vc-picker/panels/DatePanel/DateBody").DateRender<Date>;
        defaultPickerValue?: string | Date;
        defaultValue?: string | Date;
        disabledTime?: import("../vc-picker/interface").DisabledTime<Date>;
        showTime?: any;
        monthCellRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
        onOk?: (value: string | Date) => void;
        showNow?: boolean;
        renderExtraFooter?: (mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode;
        showToday?: boolean;
        transitionName?: string;
        popupStyle?: unknown;
        dropdownClassName?: string;
        dropdownAlign?: unknown;
        placeholder?: string;
        allowClear?: boolean;
        autofocus?: boolean;
        defaultOpen?: boolean;
        inputReadOnly?: boolean;
        id?: string;
        panelRender?: (originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode;
        onOpenChange?: (open: boolean) => void;
        monthCellContentRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
        "onUpdate:value"?: (value: string | Date) => void;
        "onUpdate:open"?: (open: boolean) => void;
        bordered?: boolean;
        valueFormat?: string;
    }>, {
        open: boolean;
        disabled: boolean;
        showTime: any;
        showNow: boolean;
        showToday: boolean;
        allowClear: boolean;
        autofocus: boolean;
        defaultOpen: boolean;
        inputReadOnly: boolean;
        bordered: boolean;
    }>;
    MonthPicker: import("vue").DefineComponent<{
        defaultPickerValue: {
            type: import("vue").PropType<string | Date>;
        };
        defaultValue: {
            type: import("vue").PropType<string | Date>;
        };
        value: {
            type: import("vue").PropType<string | Date>;
        };
        disabledTime: {
            type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Date>>;
        };
        format: {
            type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Date> | (string | import("../vc-picker/interface").CustomFormat<Date>)[]>;
        };
        renderExtraFooter: {
            type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
        };
        showNow: {
            type: BooleanConstructor;
            default: any;
        };
        monthCellRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>>;
        };
        monthCellContentRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>>;
        };
        id: StringConstructor;
        dropdownClassName: StringConstructor;
        dropdownAlign: {
            type: import("vue").PropType<import("../vc-align/interface").AlignType>;
        };
        popupStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        transitionName: StringConstructor;
        placeholder: StringConstructor;
        allowClear: {
            type: BooleanConstructor;
            default: any;
        };
        autofocus: {
            type: BooleanConstructor;
            default: any;
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        tabindex: NumberConstructor;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        defaultOpen: {
            type: BooleanConstructor;
            default: any;
        };
        inputReadOnly: {
            type: BooleanConstructor;
            default: any;
        };
        getPopupContainer: {
            type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
        };
        panelRender: {
            type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        };
        onChange: {
            type: import("vue").PropType<(value: string | Date, dateString: string) => void>;
        };
        'onUpdate:value': {
            type: import("vue").PropType<(value: string | Date) => void>;
        };
        onOk: {
            type: import("vue").PropType<(value: string | Date) => void>;
        };
        onOpenChange: {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        'onUpdate:open': {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        onFocus: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onBlur: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onMousedown: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseup: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseenter: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseleave: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onClick: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onContextmenu: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onKeydown: {
            type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
        };
        role: StringConstructor;
        name: StringConstructor;
        autocomplete: StringConstructor;
        direction: {
            type: import("vue").PropType<"ltr" | "rtl">;
        };
        showToday: {
            type: BooleanConstructor;
            default: any;
        };
        showTime: {
            type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Date>>;
            default: any;
        };
        locale: {
            type: import("vue").PropType<import("./generatePicker").PickerLocale>;
        };
        size: {
            type: import("vue").PropType<import("../config-provider").SizeType>;
        };
        bordered: {
            type: BooleanConstructor;
            default: any;
        };
        dateRender: {
            type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Date>>;
        };
        disabledDate: {
            type: import("vue").PropType<(date: Date) => boolean>;
        };
        mode: {
            type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
        };
        picker: {
            type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
        };
        valueFormat: StringConstructor;
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
        defaultPickerValue?: unknown;
        defaultValue?: unknown;
        value?: unknown;
        disabledTime?: unknown;
        format?: unknown;
        renderExtraFooter?: unknown;
        showNow?: unknown;
        monthCellRender?: unknown;
        monthCellContentRender?: unknown;
        id?: unknown;
        dropdownClassName?: unknown;
        dropdownAlign?: unknown;
        popupStyle?: unknown;
        transitionName?: unknown;
        placeholder?: unknown;
        allowClear?: unknown;
        autofocus?: unknown;
        disabled?: unknown;
        tabindex?: unknown;
        open?: unknown;
        defaultOpen?: unknown;
        inputReadOnly?: unknown;
        getPopupContainer?: unknown;
        panelRender?: unknown;
        onChange?: unknown;
        'onUpdate:value'?: unknown;
        onOk?: unknown;
        onOpenChange?: unknown;
        'onUpdate:open'?: unknown;
        onFocus?: unknown;
        onBlur?: unknown;
        onMousedown?: unknown;
        onMouseup?: unknown;
        onMouseenter?: unknown;
        onMouseleave?: unknown;
        onClick?: unknown;
        onContextmenu?: unknown;
        onKeydown?: unknown;
        role?: unknown;
        name?: unknown;
        autocomplete?: unknown;
        direction?: unknown;
        showToday?: unknown;
        showTime?: unknown;
        locale?: unknown;
        size?: unknown;
        bordered?: unknown;
        dateRender?: unknown;
        disabledDate?: unknown;
        mode?: unknown;
        picker?: unknown;
        valueFormat?: unknown;
    } & {} & {
        onFocus?: import("../_util/EventInterface").FocusEventHandler;
        onBlur?: import("../_util/EventInterface").FocusEventHandler;
        onChange?: (value: string | Date, dateString: string) => void;
        onKeydown?: (event: KeyboardEvent, preventDefault: () => void) => void;
        onClick?: import("../_util/EventInterface").MouseEventHandler;
        onContextmenu?: import("../_util/EventInterface").MouseEventHandler;
        onMousedown?: import("../_util/EventInterface").MouseEventHandler;
        onMouseenter?: import("../_util/EventInterface").MouseEventHandler;
        onMouseleave?: import("../_util/EventInterface").MouseEventHandler;
        onMouseup?: import("../_util/EventInterface").MouseEventHandler;
        size?: import("../config-provider").SizeType;
        direction?: "ltr" | "rtl";
        open?: boolean;
        disabled?: boolean;
        disabledDate?: (date: Date) => boolean;
        picker?: import("../vc-picker/interface").PickerMode;
        mode?: import("../vc-picker/interface").PanelMode;
        locale?: import("./generatePicker").PickerLocale;
        format?: string | import("../vc-picker/interface").CustomFormat<Date> | (string | import("../vc-picker/interface").CustomFormat<Date>)[];
        value?: string | Date;
        name?: string;
        role?: string;
        tabindex?: number;
        getPopupContainer?: (node: HTMLElement) => HTMLElement;
        autocomplete?: string;
        dateRender?: import("../vc-picker/panels/DatePanel/DateBody").DateRender<Date>;
        defaultPickerValue?: string | Date;
        defaultValue?: string | Date;
        disabledTime?: import("../vc-picker/interface").DisabledTime<Date>;
        showTime?: any;
        monthCellRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
        onOk?: (value: string | Date) => void;
        showNow?: boolean;
        renderExtraFooter?: (mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode;
        showToday?: boolean;
        transitionName?: string;
        popupStyle?: unknown;
        dropdownClassName?: string;
        dropdownAlign?: unknown;
        placeholder?: string;
        allowClear?: boolean;
        autofocus?: boolean;
        defaultOpen?: boolean;
        inputReadOnly?: boolean;
        id?: string;
        panelRender?: (originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode;
        onOpenChange?: (open: boolean) => void;
        monthCellContentRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
        "onUpdate:value"?: (value: string | Date) => void;
        "onUpdate:open"?: (open: boolean) => void;
        bordered?: boolean;
        valueFormat?: string;
    }>, {
        open: boolean;
        disabled: boolean;
        showTime: any;
        showNow: boolean;
        showToday: boolean;
        allowClear: boolean;
        autofocus: boolean;
        defaultOpen: boolean;
        inputReadOnly: boolean;
        bordered: boolean;
    }>;
    YearPicker: import("vue").DefineComponent<{
        defaultPickerValue: {
            type: import("vue").PropType<string | Date>;
        };
        defaultValue: {
            type: import("vue").PropType<string | Date>;
        };
        value: {
            type: import("vue").PropType<string | Date>;
        };
        disabledTime: {
            type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Date>>;
        };
        format: {
            type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Date> | (string | import("../vc-picker/interface").CustomFormat<Date>)[]>;
        };
        renderExtraFooter: {
            type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
        };
        showNow: {
            type: BooleanConstructor;
            default: any;
        };
        monthCellRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>>;
        };
        monthCellContentRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>>;
        };
        id: StringConstructor;
        dropdownClassName: StringConstructor;
        dropdownAlign: {
            type: import("vue").PropType<import("../vc-align/interface").AlignType>;
        };
        popupStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        transitionName: StringConstructor;
        placeholder: StringConstructor;
        allowClear: {
            type: BooleanConstructor;
            default: any;
        };
        autofocus: {
            type: BooleanConstructor;
            default: any;
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        tabindex: NumberConstructor;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        defaultOpen: {
            type: BooleanConstructor;
            default: any;
        };
        inputReadOnly: {
            type: BooleanConstructor;
            default: any;
        };
        getPopupContainer: {
            type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
        };
        panelRender: {
            type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        };
        onChange: {
            type: import("vue").PropType<(value: string | Date, dateString: string) => void>;
        };
        'onUpdate:value': {
            type: import("vue").PropType<(value: string | Date) => void>;
        };
        onOk: {
            type: import("vue").PropType<(value: string | Date) => void>;
        };
        onOpenChange: {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        'onUpdate:open': {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        onFocus: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onBlur: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onMousedown: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseup: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseenter: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseleave: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onClick: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onContextmenu: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onKeydown: {
            type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
        };
        role: StringConstructor;
        name: StringConstructor;
        autocomplete: StringConstructor;
        direction: {
            type: import("vue").PropType<"ltr" | "rtl">;
        };
        showToday: {
            type: BooleanConstructor;
            default: any;
        };
        showTime: {
            type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Date>>;
            default: any;
        };
        locale: {
            type: import("vue").PropType<import("./generatePicker").PickerLocale>;
        };
        size: {
            type: import("vue").PropType<import("../config-provider").SizeType>;
        };
        bordered: {
            type: BooleanConstructor;
            default: any;
        };
        dateRender: {
            type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Date>>;
        };
        disabledDate: {
            type: import("vue").PropType<(date: Date) => boolean>;
        };
        mode: {
            type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
        };
        picker: {
            type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
        };
        valueFormat: StringConstructor;
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
        defaultPickerValue?: unknown;
        defaultValue?: unknown;
        value?: unknown;
        disabledTime?: unknown;
        format?: unknown;
        renderExtraFooter?: unknown;
        showNow?: unknown;
        monthCellRender?: unknown;
        monthCellContentRender?: unknown;
        id?: unknown;
        dropdownClassName?: unknown;
        dropdownAlign?: unknown;
        popupStyle?: unknown;
        transitionName?: unknown;
        placeholder?: unknown;
        allowClear?: unknown;
        autofocus?: unknown;
        disabled?: unknown;
        tabindex?: unknown;
        open?: unknown;
        defaultOpen?: unknown;
        inputReadOnly?: unknown;
        getPopupContainer?: unknown;
        panelRender?: unknown;
        onChange?: unknown;
        'onUpdate:value'?: unknown;
        onOk?: unknown;
        onOpenChange?: unknown;
        'onUpdate:open'?: unknown;
        onFocus?: unknown;
        onBlur?: unknown;
        onMousedown?: unknown;
        onMouseup?: unknown;
        onMouseenter?: unknown;
        onMouseleave?: unknown;
        onClick?: unknown;
        onContextmenu?: unknown;
        onKeydown?: unknown;
        role?: unknown;
        name?: unknown;
        autocomplete?: unknown;
        direction?: unknown;
        showToday?: unknown;
        showTime?: unknown;
        locale?: unknown;
        size?: unknown;
        bordered?: unknown;
        dateRender?: unknown;
        disabledDate?: unknown;
        mode?: unknown;
        picker?: unknown;
        valueFormat?: unknown;
    } & {} & {
        onFocus?: import("../_util/EventInterface").FocusEventHandler;
        onBlur?: import("../_util/EventInterface").FocusEventHandler;
        onChange?: (value: string | Date, dateString: string) => void;
        onKeydown?: (event: KeyboardEvent, preventDefault: () => void) => void;
        onClick?: import("../_util/EventInterface").MouseEventHandler;
        onContextmenu?: import("../_util/EventInterface").MouseEventHandler;
        onMousedown?: import("../_util/EventInterface").MouseEventHandler;
        onMouseenter?: import("../_util/EventInterface").MouseEventHandler;
        onMouseleave?: import("../_util/EventInterface").MouseEventHandler;
        onMouseup?: import("../_util/EventInterface").MouseEventHandler;
        size?: import("../config-provider").SizeType;
        direction?: "ltr" | "rtl";
        open?: boolean;
        disabled?: boolean;
        disabledDate?: (date: Date) => boolean;
        picker?: import("../vc-picker/interface").PickerMode;
        mode?: import("../vc-picker/interface").PanelMode;
        locale?: import("./generatePicker").PickerLocale;
        format?: string | import("../vc-picker/interface").CustomFormat<Date> | (string | import("../vc-picker/interface").CustomFormat<Date>)[];
        value?: string | Date;
        name?: string;
        role?: string;
        tabindex?: number;
        getPopupContainer?: (node: HTMLElement) => HTMLElement;
        autocomplete?: string;
        dateRender?: import("../vc-picker/panels/DatePanel/DateBody").DateRender<Date>;
        defaultPickerValue?: string | Date;
        defaultValue?: string | Date;
        disabledTime?: import("../vc-picker/interface").DisabledTime<Date>;
        showTime?: any;
        monthCellRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
        onOk?: (value: string | Date) => void;
        showNow?: boolean;
        renderExtraFooter?: (mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode;
        showToday?: boolean;
        transitionName?: string;
        popupStyle?: unknown;
        dropdownClassName?: string;
        dropdownAlign?: unknown;
        placeholder?: string;
        allowClear?: boolean;
        autofocus?: boolean;
        defaultOpen?: boolean;
        inputReadOnly?: boolean;
        id?: string;
        panelRender?: (originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode;
        onOpenChange?: (open: boolean) => void;
        monthCellContentRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
        "onUpdate:value"?: (value: string | Date) => void;
        "onUpdate:open"?: (open: boolean) => void;
        bordered?: boolean;
        valueFormat?: string;
    }>, {
        open: boolean;
        disabled: boolean;
        showTime: any;
        showNow: boolean;
        showToday: boolean;
        allowClear: boolean;
        autofocus: boolean;
        defaultOpen: boolean;
        inputReadOnly: boolean;
        bordered: boolean;
    }>;
    RangePicker: import("vue").DefineComponent<{
        allowEmpty: {
            type: import("vue").PropType<[boolean, boolean]>;
        };
        dateRender: {
            type: import("vue").PropType<import("../vc-picker/RangePicker").RangeDateRender<Date>>;
        };
        defaultPickerValue: {
            type: import("vue").PropType<[string, string] | [Date, Date]>;
        };
        defaultValue: {
            type: import("vue").PropType<[string, string] | [Date, Date]>;
        };
        value: {
            type: import("vue").PropType<[string, string] | [Date, Date]>;
        };
        disabledTime: {
            type: import("vue").PropType<(date: Date, type: import("../vc-picker/RangePicker").RangeType) => import("../vc-picker/interface").DisabledTimes>;
        };
        disabled: {
            type: import("vue").PropType<boolean | [boolean, boolean]>;
        };
        format: StringConstructor;
        renderExtraFooter: {
            type: import("vue").PropType<() => import("../_util/type").VueNode>;
        };
        separator: {
            type: StringConstructor;
        };
        ranges: {
            type: import("vue").PropType<Record<string, [Date, Date] | (() => [Date, Date])>>;
        };
        placeholder: ArrayConstructor;
        mode: {
            type: import("vue").PropType<[import("../vc-picker/interface").PanelMode, import("../vc-picker/interface").PanelMode]>;
        };
        onChange: {
            type: import("vue").PropType<(value: [string, string] | [Date, Date], dateString: [string, string]) => void>;
        };
        'onUpdate:value': {
            type: import("vue").PropType<(value: [string, string] | [Date, Date]) => void>;
        };
        onCalendarChange: {
            type: import("vue").PropType<(values: [string, string] | [Date, Date], formatString: [string, string], info: import("../vc-picker/RangePicker").RangeInfo) => void>;
        };
        onPanelChange: {
            type: import("vue").PropType<(values: [string, string] | [Date, Date], modes: [import("../vc-picker/interface").PanelMode, import("../vc-picker/interface").PanelMode]) => void>;
        };
        onOk: {
            type: import("vue").PropType<(dates: [string, string] | [Date, Date]) => void>;
        };
        id: StringConstructor;
        dropdownClassName: StringConstructor;
        dropdownAlign: {
            type: import("vue").PropType<import("../vc-align/interface").AlignType>;
        };
        popupStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        transitionName: StringConstructor;
        allowClear: {
            type: BooleanConstructor;
            default: any;
        };
        autofocus: {
            type: BooleanConstructor;
            default: any;
        };
        tabindex: NumberConstructor;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        defaultOpen: {
            type: BooleanConstructor;
            default: any;
        };
        inputReadOnly: {
            type: BooleanConstructor;
            default: any;
        };
        getPopupContainer: {
            type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
        };
        panelRender: {
            type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        };
        onOpenChange: {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        'onUpdate:open': {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        onFocus: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onBlur: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onMousedown: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseup: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseenter: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseleave: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onClick: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onContextmenu: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onKeydown: {
            type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
        };
        role: StringConstructor;
        name: StringConstructor;
        autocomplete: StringConstructor;
        direction: {
            type: import("vue").PropType<"ltr" | "rtl">;
        };
        showToday: {
            type: BooleanConstructor;
            default: any;
        };
        showTime: {
            type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Date>>;
            default: any;
        };
        locale: {
            type: import("vue").PropType<import("./generatePicker").PickerLocale>;
        };
        size: {
            type: import("vue").PropType<import("../config-provider").SizeType>;
        };
        bordered: {
            type: BooleanConstructor;
            default: any;
        };
        disabledDate: {
            type: import("vue").PropType<(date: Date) => boolean>;
        };
        picker: {
            type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
        };
        valueFormat: StringConstructor;
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
        allowEmpty?: unknown;
        dateRender?: unknown;
        defaultPickerValue?: unknown;
        defaultValue?: unknown;
        value?: unknown;
        disabledTime?: unknown;
        disabled?: unknown;
        format?: unknown;
        renderExtraFooter?: unknown;
        separator?: unknown;
        ranges?: unknown;
        placeholder?: unknown;
        mode?: unknown;
        onChange?: unknown;
        'onUpdate:value'?: unknown;
        onCalendarChange?: unknown;
        onPanelChange?: unknown;
        onOk?: unknown;
        id?: unknown;
        dropdownClassName?: unknown;
        dropdownAlign?: unknown;
        popupStyle?: unknown;
        transitionName?: unknown;
        allowClear?: unknown;
        autofocus?: unknown;
        tabindex?: unknown;
        open?: unknown;
        defaultOpen?: unknown;
        inputReadOnly?: unknown;
        getPopupContainer?: unknown;
        panelRender?: unknown;
        onOpenChange?: unknown;
        'onUpdate:open'?: unknown;
        onFocus?: unknown;
        onBlur?: unknown;
        onMousedown?: unknown;
        onMouseup?: unknown;
        onMouseenter?: unknown;
        onMouseleave?: unknown;
        onClick?: unknown;
        onContextmenu?: unknown;
        onKeydown?: unknown;
        role?: unknown;
        name?: unknown;
        autocomplete?: unknown;
        direction?: unknown;
        showToday?: unknown;
        showTime?: unknown;
        locale?: unknown;
        size?: unknown;
        bordered?: unknown;
        disabledDate?: unknown;
        picker?: unknown;
        valueFormat?: unknown;
    } & {} & {
        onFocus?: import("../_util/EventInterface").FocusEventHandler;
        onBlur?: import("../_util/EventInterface").FocusEventHandler;
        onChange?: (value: [string, string] | [Date, Date], dateString: [string, string]) => void;
        onKeydown?: (event: KeyboardEvent, preventDefault: () => void) => void;
        onClick?: import("../_util/EventInterface").MouseEventHandler;
        onContextmenu?: import("../_util/EventInterface").MouseEventHandler;
        onMousedown?: import("../_util/EventInterface").MouseEventHandler;
        onMouseenter?: import("../_util/EventInterface").MouseEventHandler;
        onMouseleave?: import("../_util/EventInterface").MouseEventHandler;
        onMouseup?: import("../_util/EventInterface").MouseEventHandler;
        size?: import("../config-provider").SizeType;
        direction?: "ltr" | "rtl";
        open?: boolean;
        separator?: string;
        disabled?: boolean | [boolean, boolean];
        disabledDate?: (date: Date) => boolean;
        picker?: import("../vc-picker/interface").PickerMode;
        mode?: [import("../vc-picker/interface").PanelMode, import("../vc-picker/interface").PanelMode];
        onPanelChange?: (values: [string, string] | [Date, Date], modes: [import("../vc-picker/interface").PanelMode, import("../vc-picker/interface").PanelMode]) => void;
        locale?: import("./generatePicker").PickerLocale;
        format?: string;
        value?: [string, string] | [Date, Date];
        name?: string;
        role?: string;
        tabindex?: number;
        getPopupContainer?: (node: HTMLElement) => HTMLElement;
        autocomplete?: string;
        dateRender?: import("../vc-picker/RangePicker").RangeDateRender<Date>;
        defaultPickerValue?: [string, string] | [Date, Date];
        defaultValue?: [string, string] | [Date, Date];
        disabledTime?: (date: Date, type: import("../vc-picker/RangePicker").RangeType) => import("../vc-picker/interface").DisabledTimes;
        showTime?: any;
        onOk?: (dates: [string, string] | [Date, Date]) => void;
        renderExtraFooter?: () => import("../_util/type").VueNode;
        showToday?: boolean;
        transitionName?: string;
        popupStyle?: unknown;
        dropdownClassName?: string;
        dropdownAlign?: unknown;
        placeholder?: unknown[];
        allowClear?: boolean;
        autofocus?: boolean;
        defaultOpen?: boolean;
        inputReadOnly?: boolean;
        id?: string;
        panelRender?: (originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode;
        onOpenChange?: (open: boolean) => void;
        ranges?: Record<string, [Date, Date] | (() => [Date, Date])>;
        allowEmpty?: [boolean, boolean];
        onCalendarChange?: (values: [string, string] | [Date, Date], formatString: [string, string], info: import("../vc-picker/RangePicker").RangeInfo) => void;
        "onUpdate:value"?: (value: [string, string] | [Date, Date]) => void;
        "onUpdate:open"?: (open: boolean) => void;
        bordered?: boolean;
        valueFormat?: string;
    }>, {
        open: boolean;
        showTime: any;
        showToday: boolean;
        allowClear: boolean;
        autofocus: boolean;
        defaultOpen: boolean;
        inputReadOnly: boolean;
        bordered: boolean;
    }>;
    TimePicker: import("vue").DefineComponent<{
        defaultPickerValue: {
            type: import("vue").PropType<string | Date>;
        };
        defaultValue: {
            type: import("vue").PropType<string | Date>;
        };
        value: {
            type: import("vue").PropType<string | Date>;
        };
        disabledTime: {
            type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Date>>;
        };
        format: {
            type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Date> | (string | import("../vc-picker/interface").CustomFormat<Date>)[]>;
        };
        renderExtraFooter: {
            type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
        };
        showNow: {
            type: BooleanConstructor;
            default: any;
        };
        monthCellRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>>;
        };
        monthCellContentRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>>;
        };
        id: StringConstructor;
        dropdownClassName: StringConstructor;
        dropdownAlign: {
            type: import("vue").PropType<import("../vc-align/interface").AlignType>;
        };
        popupStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        transitionName: StringConstructor;
        placeholder: StringConstructor;
        allowClear: {
            type: BooleanConstructor;
            default: any;
        };
        autofocus: {
            type: BooleanConstructor;
            default: any;
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        tabindex: NumberConstructor;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        defaultOpen: {
            type: BooleanConstructor;
            default: any;
        };
        inputReadOnly: {
            type: BooleanConstructor;
            default: any;
        };
        getPopupContainer: {
            type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
        };
        panelRender: {
            type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        };
        onChange: {
            type: import("vue").PropType<(value: string | Date, dateString: string) => void>;
        };
        'onUpdate:value': {
            type: import("vue").PropType<(value: string | Date) => void>;
        };
        onOk: {
            type: import("vue").PropType<(value: string | Date) => void>;
        };
        onOpenChange: {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        'onUpdate:open': {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        onFocus: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onBlur: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onMousedown: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseup: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseenter: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseleave: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onClick: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onContextmenu: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onKeydown: {
            type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
        };
        role: StringConstructor;
        name: StringConstructor;
        autocomplete: StringConstructor;
        direction: {
            type: import("vue").PropType<"ltr" | "rtl">;
        };
        showToday: {
            type: BooleanConstructor;
            default: any;
        };
        showTime: {
            type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Date>>;
            default: any;
        };
        locale: {
            type: import("vue").PropType<import("./generatePicker").PickerLocale>;
        };
        size: {
            type: import("vue").PropType<import("../config-provider").SizeType>;
        };
        bordered: {
            type: BooleanConstructor;
            default: any;
        };
        dateRender: {
            type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Date>>;
        };
        disabledDate: {
            type: import("vue").PropType<(date: Date) => boolean>;
        };
        mode: {
            type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
        };
        picker: {
            type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
        };
        valueFormat: StringConstructor;
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
        defaultPickerValue?: unknown;
        defaultValue?: unknown;
        value?: unknown;
        disabledTime?: unknown;
        format?: unknown;
        renderExtraFooter?: unknown;
        showNow?: unknown;
        monthCellRender?: unknown;
        monthCellContentRender?: unknown;
        id?: unknown;
        dropdownClassName?: unknown;
        dropdownAlign?: unknown;
        popupStyle?: unknown;
        transitionName?: unknown;
        placeholder?: unknown;
        allowClear?: unknown;
        autofocus?: unknown;
        disabled?: unknown;
        tabindex?: unknown;
        open?: unknown;
        defaultOpen?: unknown;
        inputReadOnly?: unknown;
        getPopupContainer?: unknown;
        panelRender?: unknown;
        onChange?: unknown;
        'onUpdate:value'?: unknown;
        onOk?: unknown;
        onOpenChange?: unknown;
        'onUpdate:open'?: unknown;
        onFocus?: unknown;
        onBlur?: unknown;
        onMousedown?: unknown;
        onMouseup?: unknown;
        onMouseenter?: unknown;
        onMouseleave?: unknown;
        onClick?: unknown;
        onContextmenu?: unknown;
        onKeydown?: unknown;
        role?: unknown;
        name?: unknown;
        autocomplete?: unknown;
        direction?: unknown;
        showToday?: unknown;
        showTime?: unknown;
        locale?: unknown;
        size?: unknown;
        bordered?: unknown;
        dateRender?: unknown;
        disabledDate?: unknown;
        mode?: unknown;
        picker?: unknown;
        valueFormat?: unknown;
    } & {} & {
        onFocus?: import("../_util/EventInterface").FocusEventHandler;
        onBlur?: import("../_util/EventInterface").FocusEventHandler;
        onChange?: (value: string | Date, dateString: string) => void;
        onKeydown?: (event: KeyboardEvent, preventDefault: () => void) => void;
        onClick?: import("../_util/EventInterface").MouseEventHandler;
        onContextmenu?: import("../_util/EventInterface").MouseEventHandler;
        onMousedown?: import("../_util/EventInterface").MouseEventHandler;
        onMouseenter?: import("../_util/EventInterface").MouseEventHandler;
        onMouseleave?: import("../_util/EventInterface").MouseEventHandler;
        onMouseup?: import("../_util/EventInterface").MouseEventHandler;
        size?: import("../config-provider").SizeType;
        direction?: "ltr" | "rtl";
        open?: boolean;
        disabled?: boolean;
        disabledDate?: (date: Date) => boolean;
        picker?: import("../vc-picker/interface").PickerMode;
        mode?: import("../vc-picker/interface").PanelMode;
        locale?: import("./generatePicker").PickerLocale;
        format?: string | import("../vc-picker/interface").CustomFormat<Date> | (string | import("../vc-picker/interface").CustomFormat<Date>)[];
        value?: string | Date;
        name?: string;
        role?: string;
        tabindex?: number;
        getPopupContainer?: (node: HTMLElement) => HTMLElement;
        autocomplete?: string;
        dateRender?: import("../vc-picker/panels/DatePanel/DateBody").DateRender<Date>;
        defaultPickerValue?: string | Date;
        defaultValue?: string | Date;
        disabledTime?: import("../vc-picker/interface").DisabledTime<Date>;
        showTime?: any;
        monthCellRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
        onOk?: (value: string | Date) => void;
        showNow?: boolean;
        renderExtraFooter?: (mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode;
        showToday?: boolean;
        transitionName?: string;
        popupStyle?: unknown;
        dropdownClassName?: string;
        dropdownAlign?: unknown;
        placeholder?: string;
        allowClear?: boolean;
        autofocus?: boolean;
        defaultOpen?: boolean;
        inputReadOnly?: boolean;
        id?: string;
        panelRender?: (originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode;
        onOpenChange?: (open: boolean) => void;
        monthCellContentRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
        "onUpdate:value"?: (value: string | Date) => void;
        "onUpdate:open"?: (open: boolean) => void;
        bordered?: boolean;
        valueFormat?: string;
    }>, {
        open: boolean;
        disabled: boolean;
        showTime: any;
        showNow: boolean;
        showToday: boolean;
        allowClear: boolean;
        autofocus: boolean;
        defaultOpen: boolean;
        inputReadOnly: boolean;
        bordered: boolean;
    }>;
    QuarterPicker: import("vue").DefineComponent<{
        defaultPickerValue: {
            type: import("vue").PropType<string | Date>;
        };
        defaultValue: {
            type: import("vue").PropType<string | Date>;
        };
        value: {
            type: import("vue").PropType<string | Date>;
        };
        disabledTime: {
            type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Date>>;
        };
        format: {
            type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Date> | (string | import("../vc-picker/interface").CustomFormat<Date>)[]>;
        };
        renderExtraFooter: {
            type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
        };
        showNow: {
            type: BooleanConstructor;
            default: any;
        };
        monthCellRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>>;
        };
        monthCellContentRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>>;
        };
        id: StringConstructor;
        dropdownClassName: StringConstructor;
        dropdownAlign: {
            type: import("vue").PropType<import("../vc-align/interface").AlignType>;
        };
        popupStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        transitionName: StringConstructor;
        placeholder: StringConstructor;
        allowClear: {
            type: BooleanConstructor;
            default: any;
        };
        autofocus: {
            type: BooleanConstructor;
            default: any;
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        tabindex: NumberConstructor;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        defaultOpen: {
            type: BooleanConstructor;
            default: any;
        };
        inputReadOnly: {
            type: BooleanConstructor;
            default: any;
        };
        getPopupContainer: {
            type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
        };
        panelRender: {
            type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        };
        onChange: {
            type: import("vue").PropType<(value: string | Date, dateString: string) => void>;
        };
        'onUpdate:value': {
            type: import("vue").PropType<(value: string | Date) => void>;
        };
        onOk: {
            type: import("vue").PropType<(value: string | Date) => void>;
        };
        onOpenChange: {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        'onUpdate:open': {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        onFocus: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onBlur: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onMousedown: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseup: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseenter: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseleave: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onClick: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onContextmenu: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onKeydown: {
            type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
        };
        role: StringConstructor;
        name: StringConstructor;
        autocomplete: StringConstructor;
        direction: {
            type: import("vue").PropType<"ltr" | "rtl">;
        };
        showToday: {
            type: BooleanConstructor;
            default: any;
        };
        showTime: {
            type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Date>>;
            default: any;
        };
        locale: {
            type: import("vue").PropType<import("./generatePicker").PickerLocale>;
        };
        size: {
            type: import("vue").PropType<import("../config-provider").SizeType>;
        };
        bordered: {
            type: BooleanConstructor;
            default: any;
        };
        dateRender: {
            type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Date>>;
        };
        disabledDate: {
            type: import("vue").PropType<(date: Date) => boolean>;
        };
        mode: {
            type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
        };
        picker: {
            type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
        };
        valueFormat: StringConstructor;
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
        defaultPickerValue?: unknown;
        defaultValue?: unknown;
        value?: unknown;
        disabledTime?: unknown;
        format?: unknown;
        renderExtraFooter?: unknown;
        showNow?: unknown;
        monthCellRender?: unknown;
        monthCellContentRender?: unknown;
        id?: unknown;
        dropdownClassName?: unknown;
        dropdownAlign?: unknown;
        popupStyle?: unknown;
        transitionName?: unknown;
        placeholder?: unknown;
        allowClear?: unknown;
        autofocus?: unknown;
        disabled?: unknown;
        tabindex?: unknown;
        open?: unknown;
        defaultOpen?: unknown;
        inputReadOnly?: unknown;
        getPopupContainer?: unknown;
        panelRender?: unknown;
        onChange?: unknown;
        'onUpdate:value'?: unknown;
        onOk?: unknown;
        onOpenChange?: unknown;
        'onUpdate:open'?: unknown;
        onFocus?: unknown;
        onBlur?: unknown;
        onMousedown?: unknown;
        onMouseup?: unknown;
        onMouseenter?: unknown;
        onMouseleave?: unknown;
        onClick?: unknown;
        onContextmenu?: unknown;
        onKeydown?: unknown;
        role?: unknown;
        name?: unknown;
        autocomplete?: unknown;
        direction?: unknown;
        showToday?: unknown;
        showTime?: unknown;
        locale?: unknown;
        size?: unknown;
        bordered?: unknown;
        dateRender?: unknown;
        disabledDate?: unknown;
        mode?: unknown;
        picker?: unknown;
        valueFormat?: unknown;
    } & {} & {
        onFocus?: import("../_util/EventInterface").FocusEventHandler;
        onBlur?: import("../_util/EventInterface").FocusEventHandler;
        onChange?: (value: string | Date, dateString: string) => void;
        onKeydown?: (event: KeyboardEvent, preventDefault: () => void) => void;
        onClick?: import("../_util/EventInterface").MouseEventHandler;
        onContextmenu?: import("../_util/EventInterface").MouseEventHandler;
        onMousedown?: import("../_util/EventInterface").MouseEventHandler;
        onMouseenter?: import("../_util/EventInterface").MouseEventHandler;
        onMouseleave?: import("../_util/EventInterface").MouseEventHandler;
        onMouseup?: import("../_util/EventInterface").MouseEventHandler;
        size?: import("../config-provider").SizeType;
        direction?: "ltr" | "rtl";
        open?: boolean;
        disabled?: boolean;
        disabledDate?: (date: Date) => boolean;
        picker?: import("../vc-picker/interface").PickerMode;
        mode?: import("../vc-picker/interface").PanelMode;
        locale?: import("./generatePicker").PickerLocale;
        format?: string | import("../vc-picker/interface").CustomFormat<Date> | (string | import("../vc-picker/interface").CustomFormat<Date>)[];
        value?: string | Date;
        name?: string;
        role?: string;
        tabindex?: number;
        getPopupContainer?: (node: HTMLElement) => HTMLElement;
        autocomplete?: string;
        dateRender?: import("../vc-picker/panels/DatePanel/DateBody").DateRender<Date>;
        defaultPickerValue?: string | Date;
        defaultValue?: string | Date;
        disabledTime?: import("../vc-picker/interface").DisabledTime<Date>;
        showTime?: any;
        monthCellRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
        onOk?: (value: string | Date) => void;
        showNow?: boolean;
        renderExtraFooter?: (mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode;
        showToday?: boolean;
        transitionName?: string;
        popupStyle?: unknown;
        dropdownClassName?: string;
        dropdownAlign?: unknown;
        placeholder?: string;
        allowClear?: boolean;
        autofocus?: boolean;
        defaultOpen?: boolean;
        inputReadOnly?: boolean;
        id?: string;
        panelRender?: (originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode;
        onOpenChange?: (open: boolean) => void;
        monthCellContentRender?: import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Date>;
        "onUpdate:value"?: (value: string | Date) => void;
        "onUpdate:open"?: (open: boolean) => void;
        bordered?: boolean;
        valueFormat?: string;
    }>, {
        open: boolean;
        disabled: boolean;
        showTime: any;
        showNow: boolean;
        showToday: boolean;
        allowClear: boolean;
        autofocus: boolean;
        defaultOpen: boolean;
        inputReadOnly: boolean;
        bordered: boolean;
    }>;
    install: (app: App) => App<any>;
};
export default _default;
