import type { MenuProps } from './src/Menu';
import type { MenuItemProps } from './src/MenuItem';
import MenuItem from './src/MenuItem';
import type { SubMenuProps } from './src/SubMenu';
import SubMenu from './src/SubMenu';
import type { MenuItemGroupProps } from './src/ItemGroup';
import ItemGroup from './src/ItemGroup';
import Divider from './src/Divider';
import type { Plugin } from 'vue';
import type { MenuTheme, MenuMode } from './src/interface';
export type { MenuProps, SubMenuProps, MenuItemProps, MenuItemGroupProps, MenuTheme, MenuMode };
export { SubMenu, MenuItem as Item, MenuItem, ItemGroup, ItemGroup as MenuItemGroup, Divider, Divider as MenuDivider, };
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            multiple: boolean;
            disabled: boolean;
            mode: MenuMode;
            inlineIndent: number;
            inlineCollapsed: boolean;
            subMenuOpenDelay: number;
            subMenuCloseDelay: number;
            triggerSubMenuAction: import("./src/interface").TriggerSubMenuAction;
            forceSubMenuRender: boolean;
            disabledOverflow: boolean;
            selectable: boolean;
            theme: MenuTheme;
        }> & Omit<Readonly<{
            id?: unknown;
            prefixCls?: unknown;
            disabled?: unknown;
            inlineCollapsed?: unknown;
            disabledOverflow?: unknown;
            forceSubMenuRender?: unknown;
            openKeys?: unknown;
            selectedKeys?: unknown;
            activeKey?: unknown;
            selectable?: unknown;
            multiple?: unknown;
            motion?: unknown;
            theme?: unknown;
            mode?: unknown;
            inlineIndent?: unknown;
            subMenuOpenDelay?: unknown;
            subMenuCloseDelay?: unknown;
            builtinPlacements?: unknown;
            triggerSubMenuAction?: unknown;
            getPopupContainer?: unknown;
            expandIcon?: unknown;
            onOpenChange?: unknown;
            onSelect?: unknown;
            onDeselect?: unknown;
            onClick?: unknown;
            onFocus?: unknown;
            onBlur?: unknown;
            'onUpdate:openKeys'?: unknown;
            'onUpdate:selectedKeys'?: unknown;
            'onUpdate:activeKey'?: unknown;
        } & {
            multiple: boolean;
            disabled: boolean;
            mode: MenuMode;
            inlineIndent: number;
            inlineCollapsed: boolean;
            subMenuOpenDelay: number;
            subMenuCloseDelay: number;
            triggerSubMenuAction: import("./src/interface").TriggerSubMenuAction;
            forceSubMenuRender: boolean;
            disabledOverflow: boolean;
            selectable: boolean;
            theme: MenuTheme;
        } & {
            onFocus?: import("../_util/EventInterface").FocusEventHandler;
            onBlur?: import("../_util/EventInterface").FocusEventHandler;
            onClick?: import("./src/interface").MenuClickEventHandler;
            onSelect?: import("./src/interface").SelectEventHandler;
            prefixCls?: string;
            motion?: unknown;
            getPopupContainer?: (node: HTMLElement) => HTMLElement;
            builtinPlacements?: unknown;
            id?: string;
            onOpenChange?: (keys: import("../_util/type").Key[]) => void;
            selectedKeys?: unknown[];
            expandIcon?: (p?: {
                [key: string]: any;
                isOpen: boolean;
            }) => any;
            openKeys?: unknown[];
            activeKey?: string;
            onDeselect?: import("./src/interface").SelectEventHandler;
            "onUpdate:openKeys"?: (keys: import("../_util/type").Key[]) => void;
            "onUpdate:selectedKeys"?: (keys: import("../_util/type").Key[]) => void;
            "onUpdate:activeKey"?: (key: import("../_util/type").Key) => void;
        }> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "multiple" | "disabled" | "mode" | "inlineIndent" | "inlineCollapsed" | "subMenuOpenDelay" | "subMenuCloseDelay" | "triggerSubMenuAction" | "forceSubMenuRender" | "disabledOverflow" | "selectable" | "theme">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<{
            id?: unknown;
            prefixCls?: unknown;
            disabled?: unknown;
            inlineCollapsed?: unknown;
            disabledOverflow?: unknown;
            forceSubMenuRender?: unknown;
            openKeys?: unknown;
            selectedKeys?: unknown;
            activeKey?: unknown;
            selectable?: unknown;
            multiple?: unknown;
            motion?: unknown;
            theme?: unknown;
            mode?: unknown;
            inlineIndent?: unknown;
            subMenuOpenDelay?: unknown;
            subMenuCloseDelay?: unknown;
            builtinPlacements?: unknown;
            triggerSubMenuAction?: unknown;
            getPopupContainer?: unknown;
            expandIcon?: unknown;
            onOpenChange?: unknown;
            onSelect?: unknown;
            onDeselect?: unknown;
            onClick?: unknown;
            onFocus?: unknown;
            onBlur?: unknown;
            'onUpdate:openKeys'?: unknown;
            'onUpdate:selectedKeys'?: unknown;
            'onUpdate:activeKey'?: unknown;
        } & {
            multiple: boolean;
            disabled: boolean;
            mode: MenuMode;
            inlineIndent: number;
            inlineCollapsed: boolean;
            subMenuOpenDelay: number;
            subMenuCloseDelay: number;
            triggerSubMenuAction: import("./src/interface").TriggerSubMenuAction;
            forceSubMenuRender: boolean;
            disabledOverflow: boolean;
            selectable: boolean;
            theme: MenuTheme;
        } & {
            onFocus?: import("../_util/EventInterface").FocusEventHandler;
            onBlur?: import("../_util/EventInterface").FocusEventHandler;
            onClick?: import("./src/interface").MenuClickEventHandler;
            onSelect?: import("./src/interface").SelectEventHandler;
            prefixCls?: string;
            motion?: unknown;
            getPopupContainer?: (node: HTMLElement) => HTMLElement;
            builtinPlacements?: unknown;
            id?: string;
            onOpenChange?: (keys: import("../_util/type").Key[]) => void;
            selectedKeys?: unknown[];
            expandIcon?: (p?: {
                [key: string]: any;
                isOpen: boolean;
            }) => any;
            openKeys?: unknown[];
            activeKey?: string;
            onDeselect?: import("./src/interface").SelectEventHandler;
            "onUpdate:openKeys"?: (keys: import("../_util/type").Key[]) => void;
            "onUpdate:selectedKeys"?: (keys: import("../_util/type").Key[]) => void;
            "onUpdate:activeKey"?: (key: import("../_util/type").Key) => void;
        }>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
            multiple: boolean;
            disabled: boolean;
            mode: MenuMode;
            inlineIndent: number;
            inlineCollapsed: boolean;
            subMenuOpenDelay: number;
            subMenuCloseDelay: number;
            triggerSubMenuAction: import("./src/interface").TriggerSubMenuAction;
            forceSubMenuRender: boolean;
            disabledOverflow: boolean;
            selectable: boolean;
            theme: MenuTheme;
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<{
        id?: unknown;
        prefixCls?: unknown;
        disabled?: unknown;
        inlineCollapsed?: unknown;
        disabledOverflow?: unknown;
        forceSubMenuRender?: unknown;
        openKeys?: unknown;
        selectedKeys?: unknown;
        activeKey?: unknown;
        selectable?: unknown;
        multiple?: unknown;
        motion?: unknown;
        theme?: unknown;
        mode?: unknown;
        inlineIndent?: unknown;
        subMenuOpenDelay?: unknown;
        subMenuCloseDelay?: unknown;
        builtinPlacements?: unknown;
        triggerSubMenuAction?: unknown;
        getPopupContainer?: unknown;
        expandIcon?: unknown;
        onOpenChange?: unknown;
        onSelect?: unknown;
        onDeselect?: unknown;
        onClick?: unknown;
        onFocus?: unknown;
        onBlur?: unknown;
        'onUpdate:openKeys'?: unknown;
        'onUpdate:selectedKeys'?: unknown;
        'onUpdate:activeKey'?: unknown;
    } & {
        multiple: boolean;
        disabled: boolean;
        mode: MenuMode;
        inlineIndent: number;
        inlineCollapsed: boolean;
        subMenuOpenDelay: number;
        subMenuCloseDelay: number;
        triggerSubMenuAction: import("./src/interface").TriggerSubMenuAction;
        forceSubMenuRender: boolean;
        disabledOverflow: boolean;
        selectable: boolean;
        theme: MenuTheme;
    } & {
        onFocus?: import("../_util/EventInterface").FocusEventHandler;
        onBlur?: import("../_util/EventInterface").FocusEventHandler;
        onClick?: import("./src/interface").MenuClickEventHandler;
        onSelect?: import("./src/interface").SelectEventHandler;
        prefixCls?: string;
        motion?: unknown;
        getPopupContainer?: (node: HTMLElement) => HTMLElement;
        builtinPlacements?: unknown;
        id?: string;
        onOpenChange?: (keys: import("../_util/type").Key[]) => void;
        selectedKeys?: unknown[];
        expandIcon?: (p?: {
            [key: string]: any;
            isOpen: boolean;
        }) => any;
        openKeys?: unknown[];
        activeKey?: string;
        onDeselect?: import("./src/interface").SelectEventHandler;
        "onUpdate:openKeys"?: (keys: import("../_util/type").Key[]) => void;
        "onUpdate:selectedKeys"?: (keys: import("../_util/type").Key[]) => void;
        "onUpdate:activeKey"?: (key: import("../_util/type").Key) => void;
    }> & import("vue").ShallowUnwrapRef<() => JSX.Element> & {} & {} & import("vue").ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<{
    id?: unknown;
    prefixCls?: unknown;
    disabled?: unknown;
    inlineCollapsed?: unknown;
    disabledOverflow?: unknown;
    forceSubMenuRender?: unknown;
    openKeys?: unknown;
    selectedKeys?: unknown;
    activeKey?: unknown;
    selectable?: unknown;
    multiple?: unknown;
    motion?: unknown;
    theme?: unknown;
    mode?: unknown;
    inlineIndent?: unknown;
    subMenuOpenDelay?: unknown;
    subMenuCloseDelay?: unknown;
    builtinPlacements?: unknown;
    triggerSubMenuAction?: unknown;
    getPopupContainer?: unknown;
    expandIcon?: unknown;
    onOpenChange?: unknown;
    onSelect?: unknown;
    onDeselect?: unknown;
    onClick?: unknown;
    onFocus?: unknown;
    onBlur?: unknown;
    'onUpdate:openKeys'?: unknown;
    'onUpdate:selectedKeys'?: unknown;
    'onUpdate:activeKey'?: unknown;
} & {
    multiple: boolean;
    disabled: boolean;
    mode: MenuMode;
    inlineIndent: number;
    inlineCollapsed: boolean;
    subMenuOpenDelay: number;
    subMenuCloseDelay: number;
    triggerSubMenuAction: import("./src/interface").TriggerSubMenuAction;
    forceSubMenuRender: boolean;
    disabledOverflow: boolean;
    selectable: boolean;
    theme: MenuTheme;
} & {
    onFocus?: import("../_util/EventInterface").FocusEventHandler;
    onBlur?: import("../_util/EventInterface").FocusEventHandler;
    onClick?: import("./src/interface").MenuClickEventHandler;
    onSelect?: import("./src/interface").SelectEventHandler;
    prefixCls?: string;
    motion?: unknown;
    getPopupContainer?: (node: HTMLElement) => HTMLElement;
    builtinPlacements?: unknown;
    id?: string;
    onOpenChange?: (keys: import("../_util/type").Key[]) => void;
    selectedKeys?: unknown[];
    expandIcon?: (p?: {
        [key: string]: any;
        isOpen: boolean;
    }) => any;
    openKeys?: unknown[];
    activeKey?: string;
    onDeselect?: import("./src/interface").SelectEventHandler;
    "onUpdate:openKeys"?: (keys: import("../_util/type").Key[]) => void;
    "onUpdate:selectedKeys"?: (keys: import("../_util/type").Key[]) => void;
    "onUpdate:activeKey"?: (key: import("../_util/type").Key) => void;
}>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
    multiple: boolean;
    disabled: boolean;
    mode: MenuMode;
    inlineIndent: number;
    inlineCollapsed: boolean;
    subMenuOpenDelay: number;
    subMenuCloseDelay: number;
    triggerSubMenuAction: import("./src/interface").TriggerSubMenuAction;
    forceSubMenuRender: boolean;
    disabledOverflow: boolean;
    selectable: boolean;
    theme: MenuTheme;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Plugin & {
    readonly Item: typeof MenuItem;
    readonly SubMenu: typeof SubMenu;
    readonly Divider: typeof Divider;
    readonly ItemGroup: typeof ItemGroup;
};
export default _default;
