import type { Key } from '../../_util/type';
import type { ExtractPropTypes, PropType } from 'vue';
import type { MenuTheme, MenuMode, BuiltinPlacements, TriggerSubMenuAction, MenuClickEventHandler, SelectEventHandler } from './interface';
import type { CSSMotionProps } from '../../_util/transition';
import type { FocusEventHandler } from '../../_util/EventInterface';
export declare const menuProps: {
    id: StringConstructor;
    prefixCls: StringConstructor;
    disabled: BooleanConstructor;
    inlineCollapsed: BooleanConstructor;
    disabledOverflow: BooleanConstructor;
    forceSubMenuRender: BooleanConstructor;
    openKeys: ArrayConstructor;
    selectedKeys: ArrayConstructor;
    activeKey: StringConstructor;
    selectable: {
        type: BooleanConstructor;
        default: boolean;
    };
    multiple: {
        type: BooleanConstructor;
        default: boolean;
    };
    motion: PropType<CSSMotionProps>;
    theme: {
        type: PropType<MenuTheme>;
        default: string;
    };
    mode: {
        type: PropType<MenuMode>;
        default: string;
    };
    inlineIndent: {
        type: NumberConstructor;
        default: number;
    };
    subMenuOpenDelay: {
        type: NumberConstructor;
        default: number;
    };
    subMenuCloseDelay: {
        type: NumberConstructor;
        default: number;
    };
    builtinPlacements: {
        type: PropType<BuiltinPlacements>;
    };
    triggerSubMenuAction: {
        type: PropType<TriggerSubMenuAction>;
        default: string;
    };
    getPopupContainer: PropType<(node: HTMLElement) => HTMLElement>;
    expandIcon: PropType<(p?: {
        [key: string]: any;
        isOpen: boolean;
    }) => any>;
    onOpenChange: PropType<(keys: Key[]) => void>;
    onSelect: PropType<SelectEventHandler>;
    onDeselect: PropType<SelectEventHandler>;
    onClick: PropType<MenuClickEventHandler>;
    onFocus: PropType<FocusEventHandler>;
    onBlur: PropType<FocusEventHandler>;
    'onUpdate:openKeys': PropType<(keys: Key[]) => void>;
    'onUpdate:selectedKeys': PropType<(keys: Key[]) => void>;
    'onUpdate:activeKey': PropType<(key: Key) => void>;
};
export declare type MenuProps = Partial<ExtractPropTypes<typeof menuProps>>;
declare const _default: import("vue").DefineComponent<{
    id: StringConstructor;
    prefixCls: StringConstructor;
    disabled: BooleanConstructor;
    inlineCollapsed: BooleanConstructor;
    disabledOverflow: BooleanConstructor;
    forceSubMenuRender: BooleanConstructor;
    openKeys: ArrayConstructor;
    selectedKeys: ArrayConstructor;
    activeKey: StringConstructor;
    selectable: {
        type: BooleanConstructor;
        default: boolean;
    };
    multiple: {
        type: BooleanConstructor;
        default: boolean;
    };
    motion: PropType<CSSMotionProps>;
    theme: {
        type: PropType<MenuTheme>;
        default: string;
    };
    mode: {
        type: PropType<MenuMode>;
        default: string;
    };
    inlineIndent: {
        type: NumberConstructor;
        default: number;
    };
    subMenuOpenDelay: {
        type: NumberConstructor;
        default: number;
    };
    subMenuCloseDelay: {
        type: NumberConstructor;
        default: number;
    };
    builtinPlacements: {
        type: PropType<BuiltinPlacements>;
    };
    triggerSubMenuAction: {
        type: PropType<TriggerSubMenuAction>;
        default: string;
    };
    getPopupContainer: PropType<(node: HTMLElement) => HTMLElement>;
    expandIcon: PropType<(p?: {
        [key: string]: any;
        isOpen: boolean;
    }) => any>;
    onOpenChange: PropType<(keys: Key[]) => void>;
    onSelect: PropType<SelectEventHandler>;
    onDeselect: PropType<SelectEventHandler>;
    onClick: PropType<MenuClickEventHandler>;
    onFocus: PropType<FocusEventHandler>;
    onBlur: PropType<FocusEventHandler>;
    'onUpdate:openKeys': PropType<(keys: Key[]) => void>;
    'onUpdate:selectedKeys': PropType<(keys: Key[]) => void>;
    'onUpdate:activeKey': PropType<(key: Key) => void>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    id?: unknown;
    prefixCls?: unknown;
    disabled?: unknown;
    inlineCollapsed?: unknown;
    disabledOverflow?: unknown;
    forceSubMenuRender?: unknown;
    openKeys?: unknown;
    selectedKeys?: unknown;
    activeKey?: unknown;
    selectable?: unknown;
    multiple?: unknown;
    motion?: unknown;
    theme?: unknown;
    mode?: unknown;
    inlineIndent?: unknown;
    subMenuOpenDelay?: unknown;
    subMenuCloseDelay?: unknown;
    builtinPlacements?: unknown;
    triggerSubMenuAction?: unknown;
    getPopupContainer?: unknown;
    expandIcon?: unknown;
    onOpenChange?: unknown;
    onSelect?: unknown;
    onDeselect?: unknown;
    onClick?: unknown;
    onFocus?: unknown;
    onBlur?: unknown;
    'onUpdate:openKeys'?: unknown;
    'onUpdate:selectedKeys'?: unknown;
    'onUpdate:activeKey'?: unknown;
} & {
    multiple: boolean;
    disabled: boolean;
    mode: MenuMode;
    inlineIndent: number;
    inlineCollapsed: boolean;
    subMenuOpenDelay: number;
    subMenuCloseDelay: number;
    triggerSubMenuAction: TriggerSubMenuAction;
    forceSubMenuRender: boolean;
    disabledOverflow: boolean;
    selectable: boolean;
    theme: MenuTheme;
} & {
    onFocus?: FocusEventHandler;
    onBlur?: FocusEventHandler;
    onClick?: MenuClickEventHandler;
    onSelect?: SelectEventHandler;
    prefixCls?: string;
    motion?: unknown;
    getPopupContainer?: (node: HTMLElement) => HTMLElement;
    builtinPlacements?: unknown;
    id?: string;
    onOpenChange?: (keys: Key[]) => void;
    selectedKeys?: unknown[];
    expandIcon?: (p?: {
        [key: string]: any;
        isOpen: boolean;
    }) => any;
    openKeys?: unknown[];
    activeKey?: string;
    onDeselect?: SelectEventHandler;
    "onUpdate:openKeys"?: (keys: Key[]) => void;
    "onUpdate:selectedKeys"?: (keys: Key[]) => void;
    "onUpdate:activeKey"?: (key: Key) => void;
}>, {
    multiple: boolean;
    disabled: boolean;
    mode: MenuMode;
    inlineIndent: number;
    inlineCollapsed: boolean;
    subMenuOpenDelay: number;
    subMenuCloseDelay: number;
    triggerSubMenuAction: TriggerSubMenuAction;
    forceSubMenuRender: boolean;
    disabledOverflow: boolean;
    selectable: boolean;
    theme: MenuTheme;
}>;
export default _default;
