import type { ExtractPropTypes, PropType } from 'vue';
import type { LegacyButtonType } from '../button/buttonTypes';
declare const actionButtonProps: {
    type: {
        type: PropType<LegacyButtonType>;
    };
    actionFn: PropType<(...args: any[]) => any | PromiseLike<any>>;
    close: FunctionConstructor;
    autofocus: BooleanConstructor;
    prefixCls: StringConstructor;
    buttonProps: PropType<Partial<{
        prefixCls?: unknown;
        type?: unknown;
        htmlType?: unknown;
        shape?: unknown;
        size?: unknown;
        loading?: unknown;
        disabled?: unknown;
        ghost?: unknown;
        block?: unknown;
        danger?: unknown;
        icon?: unknown;
        href?: unknown;
        target?: unknown;
        title?: unknown;
        onClick?: unknown;
    } & {
        prefixCls: string;
        title: string;
        htmlType: "submit" | "button" | "reset";
        loading: boolean | {
            delay?: number;
        };
        href: string;
        target: string;
    } & {
        onClick?: (event: MouseEvent) => void;
        size?: import("../config-provider").SizeType;
        block?: boolean;
        icon?: any;
        disabled?: boolean;
        ghost?: boolean;
        danger?: boolean;
        type?: "default" | "link" | "text" | "dashed" | "primary" | "ghost";
        shape?: "circle" | "round";
    }>>;
    emitEvent: BooleanConstructor;
    quitOnNullishReturnValue: BooleanConstructor;
};
export declare type ActionButtonProps = ExtractPropTypes<typeof actionButtonProps>;
declare const _default: import("vue").DefineComponent<{
    type: {
        type: PropType<LegacyButtonType>;
    };
    actionFn: PropType<(...args: any[]) => any>;
    close: FunctionConstructor;
    autofocus: BooleanConstructor;
    prefixCls: StringConstructor;
    buttonProps: PropType<Partial<{
        prefixCls?: unknown;
        type?: unknown;
        htmlType?: unknown;
        shape?: unknown;
        size?: unknown;
        loading?: unknown;
        disabled?: unknown;
        ghost?: unknown;
        block?: unknown;
        danger?: unknown;
        icon?: unknown;
        href?: unknown;
        target?: unknown;
        title?: unknown;
        onClick?: unknown;
    } & {
        prefixCls: string;
        title: string;
        htmlType: "submit" | "button" | "reset";
        loading: boolean | {
            delay?: number;
        };
        href: string;
        target: string;
    } & {
        onClick?: (event: MouseEvent) => void;
        size?: import("../config-provider").SizeType;
        block?: boolean;
        icon?: any;
        disabled?: boolean;
        ghost?: boolean;
        danger?: boolean;
        type?: "default" | "link" | "text" | "dashed" | "primary" | "ghost";
        shape?: "circle" | "round";
    }>>;
    emitEvent: BooleanConstructor;
    quitOnNullishReturnValue: BooleanConstructor;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    type?: unknown;
    actionFn?: unknown;
    close?: unknown;
    autofocus?: unknown;
    prefixCls?: unknown;
    buttonProps?: unknown;
    emitEvent?: unknown;
    quitOnNullishReturnValue?: unknown;
} & {
    autofocus: boolean;
    emitEvent: boolean;
    quitOnNullishReturnValue: boolean;
} & {
    prefixCls?: string;
    close?: Function;
    type?: LegacyButtonType;
    actionFn?: (...args: any[]) => any;
    buttonProps?: unknown;
}>, {
    autofocus: boolean;
    emitEvent: boolean;
    quitOnNullishReturnValue: boolean;
}>;
export default _default;
