import type { ExtractPropTypes, CSSProperties, PropType } from 'vue';
import type { ButtonProps as ButtonPropsType, LegacyButtonType } from '../button/buttonTypes';
import type { Direction } from '../config-provider';
import type { VueNode } from '../_util/type';
declare const modalProps: () => {
    prefixCls: StringConstructor;
    visible: {
        type: BooleanConstructor;
        default: any;
    };
    confirmLoading: {
        type: BooleanConstructor;
        default: any;
    };
    title: import("vue-types").VueTypeValidableDef<any>;
    closable: {
        type: BooleanConstructor;
        default: any;
    };
    closeIcon: import("vue-types").VueTypeValidableDef<any>;
    onOk: PropType<(e: MouseEvent) => void>;
    onCancel: PropType<(e: MouseEvent) => void>;
    'onUpdate:visible': PropType<(visible: boolean) => void>;
    onChange: PropType<(visible: boolean) => void>;
    afterClose: PropType<() => void>;
    centered: {
        type: BooleanConstructor;
        default: any;
    };
    width: (StringConstructor | NumberConstructor)[];
    footer: import("vue-types").VueTypeValidableDef<any>;
    okText: import("vue-types").VueTypeValidableDef<any>;
    okType: PropType<LegacyButtonType>;
    cancelText: import("vue-types").VueTypeValidableDef<any>;
    icon: import("vue-types").VueTypeValidableDef<any>;
    maskClosable: {
        type: BooleanConstructor;
        default: any;
    };
    forceRender: {
        type: BooleanConstructor;
        default: any;
    };
    okButtonProps: PropType<Partial<{
        prefixCls?: unknown;
        type?: unknown;
        htmlType?: unknown;
        shape?: unknown;
        size?: unknown;
        loading?: unknown;
        disabled?: unknown;
        ghost?: unknown;
        block?: unknown;
        danger?: unknown;
        icon?: unknown;
        href?: unknown;
        target?: unknown;
        title?: unknown;
        onClick?: unknown;
    } & {
        prefixCls: string;
        title: string;
        htmlType: "submit" | "button" | "reset";
        loading: boolean | {
            delay?: number;
        };
        href: string;
        target: string;
    } & {
        onClick?: (event: MouseEvent) => void;
        size?: import("../config-provider").SizeType;
        block?: boolean;
        icon?: any;
        disabled?: boolean;
        ghost?: boolean;
        danger?: boolean;
        type?: "default" | "link" | "text" | "dashed" | "primary" | "ghost";
        shape?: "circle" | "round";
    }>>;
    cancelButtonProps: PropType<Partial<{
        prefixCls?: unknown;
        type?: unknown;
        htmlType?: unknown;
        shape?: unknown;
        size?: unknown;
        loading?: unknown;
        disabled?: unknown;
        ghost?: unknown;
        block?: unknown;
        danger?: unknown;
        icon?: unknown;
        href?: unknown;
        target?: unknown;
        title?: unknown;
        onClick?: unknown;
    } & {
        prefixCls: string;
        title: string;
        htmlType: "submit" | "button" | "reset";
        loading: boolean | {
            delay?: number;
        };
        href: string;
        target: string;
    } & {
        onClick?: (event: MouseEvent) => void;
        size?: import("../config-provider").SizeType;
        block?: boolean;
        icon?: any;
        disabled?: boolean;
        ghost?: boolean;
        danger?: boolean;
        type?: "default" | "link" | "text" | "dashed" | "primary" | "ghost";
        shape?: "circle" | "round";
    }>>;
    destroyOnClose: {
        type: BooleanConstructor;
        default: any;
    };
    wrapClassName: StringConstructor;
    maskTransitionName: StringConstructor;
    transitionName: StringConstructor;
    getContainer: PropType<string | false | HTMLElement | getContainerFunc>;
    zIndex: NumberConstructor;
    bodyStyle: PropType<CSSProperties>;
    maskStyle: PropType<CSSProperties>;
    mask: {
        type: BooleanConstructor;
        default: any;
    };
    keyboard: {
        type: BooleanConstructor;
        default: any;
    };
    wrapProps: ObjectConstructor;
    focusTriggerAfterClose: {
        type: BooleanConstructor;
        default: any;
    };
    modalRender: PropType<(arg: {
        originVNode: VueNode;
    }) => VueNode>;
};
export declare type ModalProps = Partial<ExtractPropTypes<ReturnType<typeof modalProps>>>;
export interface ModalFuncProps {
    prefixCls?: string;
    class?: string;
    visible?: boolean;
    title?: string | (() => VueNode) | VueNode;
    closable?: boolean;
    content?: string | (() => VueNode) | VueNode;
    onOk?: (...args: any[]) => any;
    onCancel?: (...args: any[]) => any;
    afterClose?: () => void;
    okButtonProps?: ButtonPropsType;
    cancelButtonProps?: ButtonPropsType;
    centered?: boolean;
    width?: string | number;
    okText?: string | (() => VueNode) | VueNode;
    okType?: LegacyButtonType;
    cancelText?: string | (() => VueNode) | VueNode;
    icon?: (() => VueNode) | VueNode;
    iconType?: string;
    mask?: boolean;
    maskClosable?: boolean;
    zIndex?: number;
    okCancel?: boolean;
    style?: CSSProperties | string;
    maskStyle?: CSSProperties;
    type?: 'info' | 'success' | 'error' | 'warn' | 'warning' | 'confirm';
    keyboard?: boolean;
    getContainer?: string | HTMLElement | getContainerFunc | false;
    autoFocusButton?: null | 'ok' | 'cancel';
    transitionName?: string;
    maskTransitionName?: string;
    direction?: Direction;
    bodyStyle?: CSSProperties;
    closeIcon?: string | (() => VueNode) | VueNode;
    modalRender?: (arg: {
        originVNode: VueNode;
    }) => VueNode;
    focusTriggerAfterClose?: boolean;
    /** @deprecated please use `appContext` instead */
    parentContext?: any;
    appContext?: any;
}
declare type getContainerFunc = () => HTMLElement;
export declare type ModalFunc = (props: ModalFuncProps) => {
    destroy: () => void;
    update: (newConfig: ModalFuncProps) => void;
};
export interface ModalLocale {
    okText: string;
    cancelText: string;
    justOkText: string;
}
export declare const destroyFns: any[];
declare const _default: import("vue").DefineComponent<{
    prefixCls: StringConstructor;
    visible: {
        type: BooleanConstructor;
        default: any;
    };
    confirmLoading: {
        type: BooleanConstructor;
        default: any;
    };
    title: import("vue-types").VueTypeValidableDef<any>;
    closable: {
        type: BooleanConstructor;
        default: any;
    };
    closeIcon: import("vue-types").VueTypeValidableDef<any>;
    onOk: PropType<(e: MouseEvent) => void>;
    onCancel: PropType<(e: MouseEvent) => void>;
    'onUpdate:visible': PropType<(visible: boolean) => void>;
    onChange: PropType<(visible: boolean) => void>;
    afterClose: PropType<() => void>;
    centered: {
        type: BooleanConstructor;
        default: any;
    };
    width: (StringConstructor | NumberConstructor)[];
    footer: import("vue-types").VueTypeValidableDef<any>;
    okText: import("vue-types").VueTypeValidableDef<any>;
    okType: PropType<LegacyButtonType>;
    cancelText: import("vue-types").VueTypeValidableDef<any>;
    icon: import("vue-types").VueTypeValidableDef<any>;
    maskClosable: {
        type: BooleanConstructor;
        default: any;
    };
    forceRender: {
        type: BooleanConstructor;
        default: any;
    };
    okButtonProps: PropType<Partial<{
        prefixCls?: unknown;
        type?: unknown;
        htmlType?: unknown;
        shape?: unknown;
        size?: unknown;
        loading?: unknown;
        disabled?: unknown;
        ghost?: unknown;
        block?: unknown;
        danger?: unknown;
        icon?: unknown;
        href?: unknown;
        target?: unknown;
        title?: unknown;
        onClick?: unknown;
    } & {
        prefixCls: string;
        title: string;
        htmlType: "submit" | "button" | "reset";
        loading: boolean | {
            delay?: number;
        };
        href: string;
        target: string;
    } & {
        onClick?: (event: MouseEvent) => void;
        size?: import("../config-provider").SizeType;
        block?: boolean;
        icon?: any;
        disabled?: boolean;
        ghost?: boolean;
        danger?: boolean;
        type?: "default" | "link" | "text" | "dashed" | "primary" | "ghost";
        shape?: "circle" | "round";
    }>>;
    cancelButtonProps: PropType<Partial<{
        prefixCls?: unknown;
        type?: unknown;
        htmlType?: unknown;
        shape?: unknown;
        size?: unknown;
        loading?: unknown;
        disabled?: unknown;
        ghost?: unknown;
        block?: unknown;
        danger?: unknown;
        icon?: unknown;
        href?: unknown;
        target?: unknown;
        title?: unknown;
        onClick?: unknown;
    } & {
        prefixCls: string;
        title: string;
        htmlType: "submit" | "button" | "reset";
        loading: boolean | {
            delay?: number;
        };
        href: string;
        target: string;
    } & {
        onClick?: (event: MouseEvent) => void;
        size?: import("../config-provider").SizeType;
        block?: boolean;
        icon?: any;
        disabled?: boolean;
        ghost?: boolean;
        danger?: boolean;
        type?: "default" | "link" | "text" | "dashed" | "primary" | "ghost";
        shape?: "circle" | "round";
    }>>;
    destroyOnClose: {
        type: BooleanConstructor;
        default: any;
    };
    wrapClassName: StringConstructor;
    maskTransitionName: StringConstructor;
    transitionName: StringConstructor;
    getContainer: PropType<string | false | HTMLElement | getContainerFunc>;
    zIndex: NumberConstructor;
    bodyStyle: PropType<CSSProperties>;
    maskStyle: PropType<CSSProperties>;
    mask: {
        type: BooleanConstructor;
        default: any;
    };
    keyboard: {
        type: BooleanConstructor;
        default: any;
    };
    wrapProps: ObjectConstructor;
    focusTriggerAfterClose: {
        type: BooleanConstructor;
        default: any;
    };
    modalRender: PropType<(arg: {
        originVNode: VueNode;
    }) => VueNode>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    prefixCls?: unknown;
    visible?: unknown;
    confirmLoading?: unknown;
    title?: unknown;
    closable?: unknown;
    closeIcon?: unknown;
    onOk?: unknown;
    onCancel?: unknown;
    'onUpdate:visible'?: unknown;
    onChange?: unknown;
    afterClose?: unknown;
    centered?: unknown;
    width?: unknown;
    footer?: unknown;
    okText?: unknown;
    okType?: unknown;
    cancelText?: unknown;
    icon?: unknown;
    maskClosable?: unknown;
    forceRender?: unknown;
    okButtonProps?: unknown;
    cancelButtonProps?: unknown;
    destroyOnClose?: unknown;
    wrapClassName?: unknown;
    maskTransitionName?: unknown;
    transitionName?: unknown;
    getContainer?: unknown;
    zIndex?: unknown;
    bodyStyle?: unknown;
    maskStyle?: unknown;
    mask?: unknown;
    keyboard?: unknown;
    wrapProps?: unknown;
    focusTriggerAfterClose?: unknown;
    modalRender?: unknown;
} & {} & {
    onChange?: (visible: boolean) => void;
    visible?: boolean;
    prefixCls?: string;
    footer?: any;
    title?: any;
    mask?: boolean;
    width?: string | number;
    zIndex?: number;
    icon?: any;
    closable?: boolean;
    closeIcon?: any;
    "onUpdate:visible"?: (visible: boolean) => void;
    onOk?: (e: MouseEvent) => void;
    forceRender?: boolean;
    transitionName?: string;
    maskTransitionName?: string;
    getContainer?: string | false | HTMLElement | getContainerFunc;
    maskClosable?: boolean;
    onCancel?: (e: MouseEvent) => void;
    keyboard?: boolean;
    okText?: any;
    cancelText?: any;
    afterClose?: () => void;
    centered?: boolean;
    bodyStyle?: unknown;
    maskStyle?: unknown;
    destroyOnClose?: boolean;
    wrapClassName?: string;
    wrapProps?: Record<string, any>;
    focusTriggerAfterClose?: boolean;
    modalRender?: (arg: {
        originVNode: VueNode;
    }) => VueNode;
    confirmLoading?: boolean;
    okType?: LegacyButtonType;
    okButtonProps?: unknown;
    cancelButtonProps?: unknown;
}>, {
    visible: boolean;
    mask: boolean;
    closable: boolean;
    forceRender: boolean;
    maskClosable: boolean;
    keyboard: boolean;
    centered: boolean;
    destroyOnClose: boolean;
    focusTriggerAfterClose: boolean;
    confirmLoading: boolean;
}>;
export default _default;
